import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface AccessContextManagerAccessPolicyConfig extends TerraformMetaArguments {
    /** The parent of this AccessPolicy in the Cloud Resource Hierarchy.
  Format: organizations/{organization_id} */
    readonly parent: string;
    /** Human readable title. Does not affect behavior. */
    readonly title: string;
    /** timeouts block */
    readonly timeouts?: AccessContextManagerAccessPolicyTimeouts;
}
export interface AccessContextManagerAccessPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class AccessContextManagerAccessPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: AccessContextManagerAccessPolicyConfig);
    get createTime(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _parent;
    get parent(): string;
    set parent(value: string);
    private _title;
    get title(): string;
    set title(value: string);
    get updateTime(): string;
    private _timeouts?;
    get timeouts(): AccessContextManagerAccessPolicyTimeouts | undefined;
    set timeouts(value: AccessContextManagerAccessPolicyTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
