import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface AccessContextManagerServicePerimeterResourceConfig extends TerraformMetaArguments {
    /** The name of the Service Perimeter to add this resource to. */
    readonly perimeterName: string;
    /** A GCP resource that is inside of the service perimeter.
  Currently only projects are allowed.
  Format: projects/{project_number} */
    readonly resource: string;
    /** timeouts block */
    readonly timeouts?: AccessContextManagerServicePerimeterResourceTimeouts;
}
export interface AccessContextManagerServicePerimeterResourceTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class AccessContextManagerServicePerimeterResource extends TerraformResource {
    constructor(scope: Construct, id: string, config: AccessContextManagerServicePerimeterResourceConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _perimeterName;
    get perimeterName(): string;
    set perimeterName(value: string);
    private _resource;
    get resource(): string;
    set resource(value: string);
    private _timeouts?;
    get timeouts(): AccessContextManagerServicePerimeterResourceTimeouts | undefined;
    set timeouts(value: AccessContextManagerServicePerimeterResourceTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
