import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface AppEngineApplicationUrlDispatchRulesConfig extends TerraformMetaArguments {
    readonly project?: string;
    /** dispatch_rules block */
    readonly dispatchRules: AppEngineApplicationUrlDispatchRulesDispatchRules[];
    /** timeouts block */
    readonly timeouts?: AppEngineApplicationUrlDispatchRulesTimeouts;
}
export interface AppEngineApplicationUrlDispatchRulesDispatchRules {
    /** Domain name to match against. The wildcard "*" is supported if specified before a period: "*.".
  Defaults to matching all domains: "*". */
    readonly domain?: string;
    /** Pathname within the host. Must start with a "/". A single "*" can be included at the end of the path.
  The sum of the lengths of the domain and path may not exceed 100 characters. */
    readonly path: string;
    /** Pathname within the host. Must start with a "/". A single "*" can be included at the end of the path.
  The sum of the lengths of the domain and path may not exceed 100 characters. */
    readonly service: string;
}
export interface AppEngineApplicationUrlDispatchRulesTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class AppEngineApplicationUrlDispatchRules extends TerraformResource {
    constructor(scope: Construct, id: string, config: AppEngineApplicationUrlDispatchRulesConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _dispatchRules;
    get dispatchRules(): AppEngineApplicationUrlDispatchRulesDispatchRules[];
    set dispatchRules(value: AppEngineApplicationUrlDispatchRulesDispatchRules[]);
    private _timeouts?;
    get timeouts(): AppEngineApplicationUrlDispatchRulesTimeouts | undefined;
    set timeouts(value: AppEngineApplicationUrlDispatchRulesTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
