import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BigqueryTableIamBindingConfig extends TerraformMetaArguments {
    readonly datasetId: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly tableId: string;
    /** condition block */
    readonly condition?: BigqueryTableIamBindingCondition[];
}
export interface BigqueryTableIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class BigqueryTableIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: BigqueryTableIamBindingConfig);
    private _datasetId;
    get datasetId(): string;
    set datasetId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _tableId;
    get tableId(): string;
    set tableId(value: string);
    private _condition?;
    get condition(): BigqueryTableIamBindingCondition[] | undefined;
    set condition(value: BigqueryTableIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
