import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BigtableTableConfig extends TerraformMetaArguments {
    /** The name of the Bigtable instance. */
    readonly instanceName: string;
    /** The name of the table. */
    readonly name: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
    /** A list of predefined keys to split the table on. !> Warning: Modifying the split_keys of an existing table will cause Terraform to delete/recreate the entire google_bigtable_table resource. */
    readonly splitKeys?: string[];
    /** column_family block */
    readonly columnFamily?: BigtableTableColumnFamily[];
}
export interface BigtableTableColumnFamily {
    /** The name of the column family. */
    readonly family: string;
}
export declare class BigtableTable extends TerraformResource {
    constructor(scope: Construct, id: string, config: BigtableTableConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instanceName;
    get instanceName(): string;
    set instanceName(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _splitKeys?;
    get splitKeys(): string[] | undefined;
    set splitKeys(value: string[] | undefined);
    private _columnFamily?;
    get columnFamily(): BigtableTableColumnFamily[] | undefined;
    set columnFamily(value: BigtableTableColumnFamily[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
