import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BillingAccountIamBindingConfig extends TerraformMetaArguments {
    readonly billingAccountId: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: BillingAccountIamBindingCondition[];
}
export interface BillingAccountIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class BillingAccountIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: BillingAccountIamBindingConfig);
    private _billingAccountId;
    get billingAccountId(): string;
    set billingAccountId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): BillingAccountIamBindingCondition[] | undefined;
    set condition(value: BillingAccountIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
