import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BillingAccountIamMemberConfig extends TerraformMetaArguments {
    readonly billingAccountId: string;
    readonly member: string;
    readonly role: string;
    /** condition block */
    readonly condition?: BillingAccountIamMemberCondition[];
}
export interface BillingAccountIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class BillingAccountIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: BillingAccountIamMemberConfig);
    private _billingAccountId;
    get billingAccountId(): string;
    set billingAccountId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): BillingAccountIamMemberCondition[] | undefined;
    set condition(value: BillingAccountIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
