import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BinaryAuthorizationAttestorIamBindingConfig extends TerraformMetaArguments {
    readonly attestor: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: BinaryAuthorizationAttestorIamBindingCondition[];
}
export interface BinaryAuthorizationAttestorIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class BinaryAuthorizationAttestorIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: BinaryAuthorizationAttestorIamBindingConfig);
    private _attestor;
    get attestor(): string;
    set attestor(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): BinaryAuthorizationAttestorIamBindingCondition[] | undefined;
    set condition(value: BinaryAuthorizationAttestorIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
