import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BinaryAuthorizationAttestorIamMemberConfig extends TerraformMetaArguments {
    readonly attestor: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: BinaryAuthorizationAttestorIamMemberCondition[];
}
export interface BinaryAuthorizationAttestorIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class BinaryAuthorizationAttestorIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: BinaryAuthorizationAttestorIamMemberConfig);
    private _attestor;
    get attestor(): string;
    set attestor(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): BinaryAuthorizationAttestorIamMemberCondition[] | undefined;
    set condition(value: BinaryAuthorizationAttestorIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
