import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface CloudRunServiceIamBindingConfig extends TerraformMetaArguments {
    readonly location?: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly service: string;
    /** condition block */
    readonly condition?: CloudRunServiceIamBindingCondition[];
}
export interface CloudRunServiceIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class CloudRunServiceIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: CloudRunServiceIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _location?;
    get location(): string | undefined;
    set location(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _service;
    get service(): string;
    set service(value: string);
    private _condition?;
    get condition(): CloudRunServiceIamBindingCondition[] | undefined;
    set condition(value: CloudRunServiceIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
