import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface CloudRunServiceIamMemberConfig extends TerraformMetaArguments {
    readonly location?: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly service: string;
    /** condition block */
    readonly condition?: CloudRunServiceIamMemberCondition[];
}
export interface CloudRunServiceIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class CloudRunServiceIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: CloudRunServiceIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _location?;
    get location(): string | undefined;
    set location(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _service;
    get service(): string;
    set service(value: string);
    private _condition?;
    get condition(): CloudRunServiceIamMemberCondition[] | undefined;
    set condition(value: CloudRunServiceIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
