import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface CloudfunctionsFunctionIamBindingConfig extends TerraformMetaArguments {
    readonly cloudFunction: string;
    readonly members: string[];
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: CloudfunctionsFunctionIamBindingCondition[];
}
export interface CloudfunctionsFunctionIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class CloudfunctionsFunctionIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: CloudfunctionsFunctionIamBindingConfig);
    private _cloudFunction;
    get cloudFunction(): string;
    set cloudFunction(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): CloudfunctionsFunctionIamBindingCondition[] | undefined;
    set condition(value: CloudfunctionsFunctionIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
