import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface CloudfunctionsFunctionIamMemberConfig extends TerraformMetaArguments {
    readonly cloudFunction: string;
    readonly member: string;
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: CloudfunctionsFunctionIamMemberCondition[];
}
export interface CloudfunctionsFunctionIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class CloudfunctionsFunctionIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: CloudfunctionsFunctionIamMemberConfig);
    private _cloudFunction;
    get cloudFunction(): string;
    set cloudFunction(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): CloudfunctionsFunctionIamMemberCondition[] | undefined;
    set condition(value: CloudfunctionsFunctionIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
