import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeBackendBucketSignedUrlKeyConfig extends TerraformMetaArguments {
    /** The backend bucket this signed URL key belongs. */
    readonly backendBucket: string;
    /** 128-bit key value used for signing the URL. The key value must be a
  valid RFC 4648 Section 5 base64url encoded string. */
    readonly keyValue: string;
    /** Name of the signed URL key. */
    readonly name: string;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ComputeBackendBucketSignedUrlKeyTimeouts;
}
export interface ComputeBackendBucketSignedUrlKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeBackendBucketSignedUrlKey extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeBackendBucketSignedUrlKeyConfig);
    private _backendBucket;
    get backendBucket(): string;
    set backendBucket(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keyValue;
    get keyValue(): string;
    set keyValue(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeBackendBucketSignedUrlKeyTimeouts | undefined;
    set timeouts(value: ComputeBackendBucketSignedUrlKeyTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
