import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeBackendServiceSignedUrlKeyConfig extends TerraformMetaArguments {
    /** The backend service this signed URL key belongs. */
    readonly backendService: string;
    /** 128-bit key value used for signing the URL. The key value must be a
  valid RFC 4648 Section 5 base64url encoded string. */
    readonly keyValue: string;
    /** Name of the signed URL key. */
    readonly name: string;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ComputeBackendServiceSignedUrlKeyTimeouts;
}
export interface ComputeBackendServiceSignedUrlKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeBackendServiceSignedUrlKey extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeBackendServiceSignedUrlKeyConfig);
    private _backendService;
    get backendService(): string;
    set backendService(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keyValue;
    get keyValue(): string;
    set keyValue(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeBackendServiceSignedUrlKeyTimeouts | undefined;
    set timeouts(value: ComputeBackendServiceSignedUrlKeyTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
