import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeDiskIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly name: string;
    readonly project?: string;
    readonly role: string;
    readonly zone?: string;
    /** condition block */
    readonly condition?: ComputeDiskIamMemberCondition[];
}
export interface ComputeDiskIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ComputeDiskIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeDiskIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _condition?;
    get condition(): ComputeDiskIamMemberCondition[] | undefined;
    set condition(value: ComputeDiskIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
