import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeDiskResourcePolicyAttachmentConfig extends TerraformMetaArguments {
    /** The name of the disk in which the resource policies are attached to. */
    readonly disk: string;
    /** The resource policy to be attached to the disk for scheduling snapshot
  creation. Do not specify the self link. */
    readonly name: string;
    readonly project?: string;
    /** A reference to the zone where the disk resides. */
    readonly zone?: string;
    /** timeouts block */
    readonly timeouts?: ComputeDiskResourcePolicyAttachmentTimeouts;
}
export interface ComputeDiskResourcePolicyAttachmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeDiskResourcePolicyAttachment extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeDiskResourcePolicyAttachmentConfig);
    private _disk;
    get disk(): string;
    set disk(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeDiskResourcePolicyAttachmentTimeouts | undefined;
    set timeouts(value: ComputeDiskResourcePolicyAttachmentTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
