import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeGlobalNetworkEndpointGroupConfig extends TerraformMetaArguments {
    /** The default port used if the port number is not specified in the
  network endpoint. */
    readonly defaultPort?: number;
    /** An optional description of this resource. Provide this property when
  you create the resource. */
    readonly description?: string;
    /** Name of the resource; provided by the client when the resource is
  created. The name must be 1-63 characters long, and comply with
  RFC1035. Specifically, the name must be 1-63 characters long and match
  the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
  first character must be a lowercase letter, and all following
  characters must be a dash, lowercase letter, or digit, except the last
  character, which cannot be a dash. */
    readonly name: string;
    /** Type of network endpoints in this network endpoint group. Possible values: ["INTERNET_IP_PORT", "INTERNET_FQDN_PORT"] */
    readonly networkEndpointType: string;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ComputeGlobalNetworkEndpointGroupTimeouts;
}
export interface ComputeGlobalNetworkEndpointGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeGlobalNetworkEndpointGroup extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeGlobalNetworkEndpointGroupConfig);
    private _defaultPort?;
    get defaultPort(): number | undefined;
    set defaultPort(value: number | undefined);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _networkEndpointType;
    get networkEndpointType(): string;
    set networkEndpointType(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    private _timeouts?;
    get timeouts(): ComputeGlobalNetworkEndpointGroupTimeouts | undefined;
    set timeouts(value: ComputeGlobalNetworkEndpointGroupTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
