import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeGlobalNetworkEndpointConfig extends TerraformMetaArguments {
    /** Fully qualified domain name of network endpoint.
  This can only be specified when network_endpoint_type of the NEG is INTERNET_FQDN_PORT. */
    readonly fqdn?: string;
    /** The global network endpoint group this endpoint is part of. */
    readonly globalNetworkEndpointGroup: string;
    /** IPv4 address external endpoint. */
    readonly ipAddress?: string;
    /** Port number of the external endpoint. */
    readonly port: number;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ComputeGlobalNetworkEndpointTimeouts;
}
export interface ComputeGlobalNetworkEndpointTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeGlobalNetworkEndpoint extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeGlobalNetworkEndpointConfig);
    private _fqdn?;
    get fqdn(): string | undefined;
    set fqdn(value: string | undefined);
    private _globalNetworkEndpointGroup;
    get globalNetworkEndpointGroup(): string;
    set globalNetworkEndpointGroup(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _ipAddress?;
    get ipAddress(): string | undefined;
    set ipAddress(value: string | undefined);
    private _port;
    get port(): number;
    set port(value: number);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeGlobalNetworkEndpointTimeouts | undefined;
    set timeouts(value: ComputeGlobalNetworkEndpointTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
