import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeHttpsHealthCheckConfig extends TerraformMetaArguments {
    /** How often (in seconds) to send a health check. The default value is 5
  seconds. */
    readonly checkIntervalSec?: number;
    /** An optional description of this resource. Provide this property when
  you create the resource. */
    readonly description?: string;
    /** A so-far unhealthy instance will be marked healthy after this many
  consecutive successes. The default value is 2. */
    readonly healthyThreshold?: number;
    /** The value of the host header in the HTTPS health check request. If
  left empty (default value), the public IP on behalf of which this
  health check is performed will be used. */
    readonly host?: string;
    /** Name of the resource. Provided by the client when the resource is
  created. The name must be 1-63 characters long, and comply with
  RFC1035.  Specifically, the name must be 1-63 characters long and
  match the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means
  the first character must be a lowercase letter, and all following
  characters must be a dash, lowercase letter, or digit, except the
  last character, which cannot be a dash. */
    readonly name: string;
    /** The TCP port number for the HTTPS health check request.
  The default value is 80. */
    readonly port?: number;
    readonly project?: string;
    /** The request path of the HTTPS health check request.
  The default value is /. */
    readonly requestPath?: string;
    /** How long (in seconds) to wait before claiming failure.
  The default value is 5 seconds.  It is invalid for timeoutSec to have
  greater value than checkIntervalSec. */
    readonly timeoutSec?: number;
    /** A so-far healthy instance will be marked unhealthy after this many
  consecutive failures. The default value is 2. */
    readonly unhealthyThreshold?: number;
    /** timeouts block */
    readonly timeouts?: ComputeHttpsHealthCheckTimeouts;
}
export interface ComputeHttpsHealthCheckTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class ComputeHttpsHealthCheck extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeHttpsHealthCheckConfig);
    private _checkIntervalSec?;
    get checkIntervalSec(): number | undefined;
    set checkIntervalSec(value: number | undefined);
    get creationTimestamp(): string;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _healthyThreshold?;
    get healthyThreshold(): number | undefined;
    set healthyThreshold(value: number | undefined);
    private _host?;
    get host(): string | undefined;
    set host(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _port?;
    get port(): number | undefined;
    set port(value: number | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _requestPath?;
    get requestPath(): string | undefined;
    set requestPath(value: string | undefined);
    get selfLink(): string;
    private _timeoutSec?;
    get timeoutSec(): number | undefined;
    set timeoutSec(value: number | undefined);
    private _unhealthyThreshold?;
    get unhealthyThreshold(): number | undefined;
    set unhealthyThreshold(value: number | undefined);
    private _timeouts?;
    get timeouts(): ComputeHttpsHealthCheckTimeouts | undefined;
    set timeouts(value: ComputeHttpsHealthCheckTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
