import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeImageIamBindingConfig extends TerraformMetaArguments {
    readonly image: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: ComputeImageIamBindingCondition[];
}
export interface ComputeImageIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ComputeImageIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeImageIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _image;
    get image(): string;
    set image(value: string);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): ComputeImageIamBindingCondition[] | undefined;
    set condition(value: ComputeImageIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
