import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeImageIamMemberConfig extends TerraformMetaArguments {
    readonly image: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: ComputeImageIamMemberCondition[];
}
export interface ComputeImageIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ComputeImageIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeImageIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _image;
    get image(): string;
    set image(value: string);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): ComputeImageIamMemberCondition[] | undefined;
    set condition(value: ComputeImageIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
