import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeInstanceGroupNamedPortAConfig extends TerraformMetaArguments {
    /** The name of the instance group. */
    readonly group: string;
    /** The name for this named port. The name must be 1-63 characters
  long, and comply with RFC1035. */
    readonly name: string;
    /** The port number, which can be a value between 1 and 65535. */
    readonly port: number;
    readonly project?: string;
    /** The zone of the instance group. */
    readonly zone?: string;
    /** timeouts block */
    readonly timeouts?: ComputeInstanceGroupNamedPortTimeouts;
}
export interface ComputeInstanceGroupNamedPortTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeInstanceGroupNamedPortA extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeInstanceGroupNamedPortAConfig);
    private _group;
    get group(): string;
    set group(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _port;
    get port(): number;
    set port(value: number);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeInstanceGroupNamedPortTimeouts | undefined;
    set timeouts(value: ComputeInstanceGroupNamedPortTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
