import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeInstanceIamBindingConfig extends TerraformMetaArguments {
    readonly instanceName: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly zone?: string;
    /** condition block */
    readonly condition?: ComputeInstanceIamBindingCondition[];
}
export interface ComputeInstanceIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ComputeInstanceIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeInstanceIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instanceName;
    get instanceName(): string;
    set instanceName(value: string);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _condition?;
    get condition(): ComputeInstanceIamBindingCondition[] | undefined;
    set condition(value: ComputeInstanceIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
