import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeNetworkEndpointGroupConfig extends TerraformMetaArguments {
    /** The default port used if the port number is not specified in the
  network endpoint. */
    readonly defaultPort?: number;
    /** An optional description of this resource. Provide this property when
  you create the resource. */
    readonly description?: string;
    /** Name of the resource; provided by the client when the resource is
  created. The name must be 1-63 characters long, and comply with
  RFC1035. Specifically, the name must be 1-63 characters long and match
  the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
  first character must be a lowercase letter, and all following
  characters must be a dash, lowercase letter, or digit, except the last
  character, which cannot be a dash. */
    readonly name: string;
    /** The network to which all network endpoints in the NEG belong.
  Uses "default" project network if unspecified. */
    readonly network: string;
    /** Type of network endpoints in this network endpoint group. Default value: "GCE_VM_IP_PORT" Possible values: ["GCE_VM_IP_PORT"] */
    readonly networkEndpointType?: string;
    readonly project?: string;
    /** Optional subnetwork to which all network endpoints in the NEG belong. */
    readonly subnetwork?: string;
    /** Zone where the network endpoint group is located. */
    readonly zone?: string;
    /** timeouts block */
    readonly timeouts?: ComputeNetworkEndpointGroupTimeouts;
}
export interface ComputeNetworkEndpointGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeNetworkEndpointGroup extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeNetworkEndpointGroupConfig);
    private _defaultPort?;
    get defaultPort(): number | undefined;
    set defaultPort(value: number | undefined);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _network;
    get network(): string;
    set network(value: string);
    private _networkEndpointType?;
    get networkEndpointType(): string | undefined;
    set networkEndpointType(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    get size(): number;
    private _subnetwork?;
    get subnetwork(): string | undefined;
    set subnetwork(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeNetworkEndpointGroupTimeouts | undefined;
    set timeouts(value: ComputeNetworkEndpointGroupTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
