import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeNetworkEndpointConfig extends TerraformMetaArguments {
    /** The name for a specific VM instance that the IP address belongs to.
  This is required for network endpoints of type GCE_VM_IP_PORT.
  The instance must be in the same zone of network endpoint group. */
    readonly instance: string;
    /** IPv4 address of network endpoint. The IP address must belong
  to a VM in GCE (either the primary IP or as part of an aliased IP
  range). */
    readonly ipAddress: string;
    /** The network endpoint group this endpoint is part of. */
    readonly networkEndpointGroup: string;
    /** Port number of network endpoint. */
    readonly port: number;
    readonly project?: string;
    /** Zone where the containing network endpoint group is located. */
    readonly zone?: string;
    /** timeouts block */
    readonly timeouts?: ComputeNetworkEndpointTimeouts;
}
export interface ComputeNetworkEndpointTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeNetworkEndpoint extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeNetworkEndpointConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    private _ipAddress;
    get ipAddress(): string;
    set ipAddress(value: string);
    private _networkEndpointGroup;
    get networkEndpointGroup(): string;
    set networkEndpointGroup(value: string);
    private _port;
    get port(): number;
    set port(value: number);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeNetworkEndpointTimeouts | undefined;
    set timeouts(value: ComputeNetworkEndpointTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
