import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeNetworkPeeringRoutesConfigConfig extends TerraformMetaArguments {
    /** Whether to export the custom routes to the peer network. */
    readonly exportCustomRoutes: boolean;
    /** Whether to import the custom routes to the peer network. */
    readonly importCustomRoutes: boolean;
    /** The name of the primary network for the peering. */
    readonly network: string;
    /** Name of the peering. */
    readonly peering: string;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ComputeNetworkPeeringRoutesConfigTimeouts;
}
export interface ComputeNetworkPeeringRoutesConfigTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class ComputeNetworkPeeringRoutesConfig extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeNetworkPeeringRoutesConfigConfig);
    private _exportCustomRoutes;
    get exportCustomRoutes(): boolean;
    set exportCustomRoutes(value: boolean);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _importCustomRoutes;
    get importCustomRoutes(): boolean;
    set importCustomRoutes(value: boolean);
    private _network;
    get network(): string;
    set network(value: string);
    private _peering;
    get peering(): string;
    set peering(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeNetworkPeeringRoutesConfigTimeouts | undefined;
    set timeouts(value: ComputeNetworkPeeringRoutesConfigTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
