import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeNetworkPeeringConfig extends TerraformMetaArguments {
    readonly autoCreateRoutes?: boolean;
    /** Whether to export the custom routes to the peer network. Defaults to false. */
    readonly exportCustomRoutes?: boolean;
    readonly exportSubnetRoutesWithPublicIp?: boolean;
    /** Whether to export the custom routes from the peer network. Defaults to false. */
    readonly importCustomRoutes?: boolean;
    readonly importSubnetRoutesWithPublicIp?: boolean;
    /** Name of the peering. */
    readonly name: string;
    /** The primary network of the peering. */
    readonly network: string;
    /** The peer network in the peering. The peer network may belong to a different project. */
    readonly peerNetwork: string;
    /** timeouts block */
    readonly timeouts?: ComputeNetworkPeeringTimeouts;
}
export interface ComputeNetworkPeeringTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeNetworkPeering extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeNetworkPeeringConfig);
    private _autoCreateRoutes?;
    get autoCreateRoutes(): boolean | undefined;
    set autoCreateRoutes(value: boolean | undefined);
    private _exportCustomRoutes?;
    get exportCustomRoutes(): boolean | undefined;
    set exportCustomRoutes(value: boolean | undefined);
    private _exportSubnetRoutesWithPublicIp?;
    get exportSubnetRoutesWithPublicIp(): boolean | undefined;
    set exportSubnetRoutesWithPublicIp(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _importCustomRoutes?;
    get importCustomRoutes(): boolean | undefined;
    set importCustomRoutes(value: boolean | undefined);
    private _importSubnetRoutesWithPublicIp?;
    get importSubnetRoutesWithPublicIp(): boolean | undefined;
    set importSubnetRoutesWithPublicIp(value: boolean | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _network;
    get network(): string;
    set network(value: string);
    private _peerNetwork;
    get peerNetwork(): string;
    set peerNetwork(value: string);
    get state(): string;
    get stateDetails(): string;
    private _timeouts?;
    get timeouts(): ComputeNetworkPeeringTimeouts | undefined;
    set timeouts(value: ComputeNetworkPeeringTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
