import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeNodeGroupConfig extends TerraformMetaArguments {
    /** An optional textual description of the resource. */
    readonly description?: string;
    /** Name of the resource. */
    readonly name?: string;
    /** The URL of the node template to which this node group belongs. */
    readonly nodeTemplate: string;
    readonly project?: string;
    /** The total number of nodes in the node group. */
    readonly size: number;
    /** Zone where this node group is located */
    readonly zone?: string;
    /** timeouts block */
    readonly timeouts?: ComputeNodeGroupTimeouts;
}
export interface ComputeNodeGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class ComputeNodeGroup extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeNodeGroupConfig);
    get creationTimestamp(): string;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    private _nodeTemplate;
    get nodeTemplate(): string;
    set nodeTemplate(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    private _size;
    get size(): number;
    set size(value: number);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeNodeGroupTimeouts | undefined;
    set timeouts(value: ComputeNodeGroupTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
