import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeProjectDefaultNetworkTierConfig extends TerraformMetaArguments {
    /** The default network tier to be configured for the project. This field can take the following values: PREMIUM or STANDARD. */
    readonly networkTier: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ComputeProjectDefaultNetworkTierTimeouts;
}
export interface ComputeProjectDefaultNetworkTierTimeouts {
    readonly create?: string;
}
export declare class ComputeProjectDefaultNetworkTier extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeProjectDefaultNetworkTierConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _networkTier;
    get networkTier(): string;
    set networkTier(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeProjectDefaultNetworkTierTimeouts | undefined;
    set timeouts(value: ComputeProjectDefaultNetworkTierTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
