import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeProjectMetadataItemConfig extends TerraformMetaArguments {
    /** The metadata key to set. */
    readonly key: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
    /** The value to set for the given metadata key. */
    readonly value: string;
    /** timeouts block */
    readonly timeouts?: ComputeProjectMetadataItemTimeouts;
}
export interface ComputeProjectMetadataItemTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class ComputeProjectMetadataItem extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeProjectMetadataItemConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _key;
    get key(): string;
    set key(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _value;
    get value(): string;
    set value(value: string);
    private _timeouts?;
    get timeouts(): ComputeProjectMetadataItemTimeouts | undefined;
    set timeouts(value: ComputeProjectMetadataItemTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
