import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeProjectMetadataConfig extends TerraformMetaArguments {
    /** A series of key value pairs. */
    readonly metadata: {
        [key: string]: string;
    };
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ComputeProjectMetadataTimeouts;
}
export interface ComputeProjectMetadataTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeProjectMetadata extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeProjectMetadataConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _metadata;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeProjectMetadataTimeouts | undefined;
    set timeouts(value: ComputeProjectMetadataTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
