import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeRegionDiskResourcePolicyAttachmentConfig extends TerraformMetaArguments {
    /** The name of the regional disk in which the resource policies are attached to. */
    readonly disk: string;
    /** The resource policy to be attached to the disk for scheduling snapshot
  creation. Do not specify the self link. */
    readonly name: string;
    readonly project?: string;
    /** A reference to the region where the disk resides. */
    readonly region?: string;
    /** timeouts block */
    readonly timeouts?: ComputeRegionDiskResourcePolicyAttachmentTimeouts;
}
export interface ComputeRegionDiskResourcePolicyAttachmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeRegionDiskResourcePolicyAttachment extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeRegionDiskResourcePolicyAttachmentConfig);
    private _disk;
    get disk(): string;
    set disk(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeRegionDiskResourcePolicyAttachmentTimeouts | undefined;
    set timeouts(value: ComputeRegionDiskResourcePolicyAttachmentTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
