import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeRouterInterfaceConfig extends TerraformMetaArguments {
    /** The name or resource link to the VLAN interconnect for this interface. Changing this forces a new interface to be created. Only one of vpn_tunnel and interconnect_attachment can be specified. */
    readonly interconnectAttachment?: string;
    /** IP address and range of the interface. The IP range must be in the RFC3927 link-local IP space. Changing this forces a new interface to be created. */
    readonly ipRange?: string;
    /** A unique name for the interface, required by GCE. Changing this forces a new interface to be created. */
    readonly name: string;
    /** The ID of the project in which this interface's router belongs. If it is not provided, the provider project is used. Changing this forces a new interface to be created. */
    readonly project?: string;
    /** The region this interface's router sits in. If not specified, the project region will be used. Changing this forces a new interface to be created. */
    readonly region?: string;
    /** The name of the router this interface will be attached to. Changing this forces a new interface to be created. */
    readonly router: string;
    /** The name or resource link to the VPN tunnel this interface will be linked to. Changing this forces a new interface to be created. Only one of vpn_tunnel and interconnect_attachment can be specified. */
    readonly vpnTunnel?: string;
    /** timeouts block */
    readonly timeouts?: ComputeRouterInterfaceTimeouts;
}
export interface ComputeRouterInterfaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeRouterInterface extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeRouterInterfaceConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _interconnectAttachment?;
    get interconnectAttachment(): string | undefined;
    set interconnectAttachment(value: string | undefined);
    private _ipRange?;
    get ipRange(): string | undefined;
    set ipRange(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _router;
    get router(): string;
    set router(value: string);
    private _vpnTunnel?;
    get vpnTunnel(): string | undefined;
    set vpnTunnel(value: string | undefined);
    private _timeouts?;
    get timeouts(): ComputeRouterInterfaceTimeouts | undefined;
    set timeouts(value: ComputeRouterInterfaceTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
