import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeSharedVpcHostProjectConfig extends TerraformMetaArguments {
    /** The ID of the project that will serve as a Shared VPC host project */
    readonly project: string;
    /** timeouts block */
    readonly timeouts?: ComputeSharedVpcHostProjectTimeouts;
}
export interface ComputeSharedVpcHostProjectTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeSharedVpcHostProject extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeSharedVpcHostProjectConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project;
    get project(): string;
    set project(value: string);
    private _timeouts?;
    get timeouts(): ComputeSharedVpcHostProjectTimeouts | undefined;
    set timeouts(value: ComputeSharedVpcHostProjectTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
