import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeSharedVpcServiceProjectConfig extends TerraformMetaArguments {
    /** The ID of a host project to associate. */
    readonly hostProject: string;
    /** The ID of the project that will serve as a Shared VPC service project. */
    readonly serviceProject: string;
    /** timeouts block */
    readonly timeouts?: ComputeSharedVpcServiceProjectTimeouts;
}
export interface ComputeSharedVpcServiceProjectTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeSharedVpcServiceProject extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeSharedVpcServiceProjectConfig);
    private _hostProject;
    get hostProject(): string;
    set hostProject(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _serviceProject;
    get serviceProject(): string;
    set serviceProject(value: string);
    private _timeouts?;
    get timeouts(): ComputeSharedVpcServiceProjectTimeouts | undefined;
    set timeouts(value: ComputeSharedVpcServiceProjectTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
