import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeSubnetworkIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    readonly subnetwork: string;
    /** condition block */
    readonly condition?: ComputeSubnetworkIamBindingCondition[];
}
export interface ComputeSubnetworkIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ComputeSubnetworkIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeSubnetworkIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _subnetwork;
    get subnetwork(): string;
    set subnetwork(value: string);
    private _condition?;
    get condition(): ComputeSubnetworkIamBindingCondition[] | undefined;
    set condition(value: ComputeSubnetworkIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
