import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeSubnetworkIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    readonly subnetwork: string;
    /** condition block */
    readonly condition?: ComputeSubnetworkIamMemberCondition[];
}
export interface ComputeSubnetworkIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ComputeSubnetworkIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeSubnetworkIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _subnetwork;
    get subnetwork(): string;
    set subnetwork(value: string);
    private _condition?;
    get condition(): ComputeSubnetworkIamMemberCondition[] | undefined;
    set condition(value: ComputeSubnetworkIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
