import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeTargetHttpProxyConfig extends TerraformMetaArguments {
    /** An optional description of this resource. */
    readonly description?: string;
    /** Name of the resource. Provided by the client when the resource is
  created. The name must be 1-63 characters long, and comply with
  RFC1035. Specifically, the name must be 1-63 characters long and match
  the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
  first character must be a lowercase letter, and all following
  characters must be a dash, lowercase letter, or digit, except the last
  character, which cannot be a dash. */
    readonly name: string;
    readonly project?: string;
    /** A reference to the UrlMap resource that defines the mapping from URL
  to the BackendService. */
    readonly urlMap: string;
    /** timeouts block */
    readonly timeouts?: ComputeTargetHttpProxyTimeouts;
}
export interface ComputeTargetHttpProxyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class ComputeTargetHttpProxy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeTargetHttpProxyConfig);
    get creationTimestamp(): string;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get proxyId(): number;
    get selfLink(): string;
    private _urlMap;
    get urlMap(): string;
    set urlMap(value: string);
    private _timeouts?;
    get timeouts(): ComputeTargetHttpProxyTimeouts | undefined;
    set timeouts(value: ComputeTargetHttpProxyTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
