import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeTargetTcpProxyConfig extends TerraformMetaArguments {
    /** A reference to the BackendService resource. */
    readonly backendService: string;
    /** An optional description of this resource. */
    readonly description?: string;
    /** Name of the resource. Provided by the client when the resource is
  created. The name must be 1-63 characters long, and comply with
  RFC1035. Specifically, the name must be 1-63 characters long and match
  the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
  first character must be a lowercase letter, and all following
  characters must be a dash, lowercase letter, or digit, except the last
  character, which cannot be a dash. */
    readonly name: string;
    readonly project?: string;
    /** Specifies the type of proxy header to append before sending data to
  the backend. Default value: "NONE" Possible values: ["NONE", "PROXY_V1"] */
    readonly proxyHeader?: string;
    /** timeouts block */
    readonly timeouts?: ComputeTargetTcpProxyTimeouts;
}
export interface ComputeTargetTcpProxyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class ComputeTargetTcpProxy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeTargetTcpProxyConfig);
    private _backendService;
    get backendService(): string;
    set backendService(value: string);
    get creationTimestamp(): string;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _proxyHeader?;
    get proxyHeader(): string | undefined;
    set proxyHeader(value: string | undefined);
    get proxyId(): number;
    get selfLink(): string;
    private _timeouts?;
    get timeouts(): ComputeTargetTcpProxyTimeouts | undefined;
    set timeouts(value: ComputeTargetTcpProxyTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
