import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeVpnGatewayConfig extends TerraformMetaArguments {
    /** An optional description of this resource. */
    readonly description?: string;
    /** Name of the resource. Provided by the client when the resource is
  created. The name must be 1-63 characters long, and comply with
  RFC1035.  Specifically, the name must be 1-63 characters long and
  match the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means
  the first character must be a lowercase letter, and all following
  characters must be a dash, lowercase letter, or digit, except the last
  character, which cannot be a dash. */
    readonly name: string;
    /** The network this VPN gateway is accepting traffic for. */
    readonly network: string;
    readonly project?: string;
    /** The region this gateway should sit in. */
    readonly region?: string;
    /** timeouts block */
    readonly timeouts?: ComputeVpnGatewayTimeouts;
}
export interface ComputeVpnGatewayTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ComputeVpnGateway extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeVpnGatewayConfig);
    get creationTimestamp(): string;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    get gatewayId(): number;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _network;
    get network(): string;
    set network(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    get selfLink(): string;
    private _timeouts?;
    get timeouts(): ComputeVpnGatewayTimeouts | undefined;
    set timeouts(value: ComputeVpnGatewayTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
