import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ContainerRegistryConfig extends TerraformMetaArguments {
    /** The location of the registry. One of ASIA, EU, US or not specified. See the official documentation for more information on registry locations. */
    readonly location?: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
}
export declare class ContainerRegistry extends TerraformResource {
    constructor(scope: Construct, id: string, config?: ContainerRegistryConfig);
    get bucketSelfLink(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _location?;
    get location(): string | undefined;
    set location(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
