import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataCatalogEntryGroupIamBindingConfig extends TerraformMetaArguments {
    readonly entryGroup: string;
    readonly members: string[];
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: DataCatalogEntryGroupIamBindingCondition[];
}
export interface DataCatalogEntryGroupIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class DataCatalogEntryGroupIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: DataCatalogEntryGroupIamBindingConfig);
    private _entryGroup;
    get entryGroup(): string;
    set entryGroup(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): DataCatalogEntryGroupIamBindingCondition[] | undefined;
    set condition(value: DataCatalogEntryGroupIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
