import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataCatalogEntryGroupConfig extends TerraformMetaArguments {
    /** Entry group description, which can consist of several sentences or paragraphs that describe entry group contents. */
    readonly description?: string;
    /** A short name to identify the entry group, for example, "analytics data - jan 2011". */
    readonly displayName?: string;
    /** The id of the entry group to create. The id must begin with a letter or underscore,
  contain only English letters, numbers and underscores, and be at most 64 characters. */
    readonly entryGroupId: string;
    readonly project?: string;
    /** EntryGroup location region. */
    readonly region?: string;
    /** timeouts block */
    readonly timeouts?: DataCatalogEntryGroupTimeouts;
}
export interface DataCatalogEntryGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class DataCatalogEntryGroup extends TerraformResource {
    constructor(scope: Construct, id: string, config: DataCatalogEntryGroupConfig);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _displayName?;
    get displayName(): string | undefined;
    set displayName(value: string | undefined);
    private _entryGroupId;
    get entryGroupId(): string;
    set entryGroupId(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _timeouts?;
    get timeouts(): DataCatalogEntryGroupTimeouts | undefined;
    set timeouts(value: DataCatalogEntryGroupTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
