import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleComputeBackendBucketConfig extends TerraformMetaArguments {
    /** Name of the resource. Provided by the client when the resource is
  created. The name must be 1-63 characters long, and comply with
  RFC1035.  Specifically, the name must be 1-63 characters long and
  match the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means
  the first character must be a lowercase letter, and all following
  characters must be a dash, lowercase letter, or digit, except the
  last character, which cannot be a dash. */
    readonly name: string;
    readonly project?: string;
}
export declare class DataGoogleComputeBackendBucketCdnPolicy extends ComplexComputedList {
    get signedUrlCacheMaxAgeSec(): number;
}
export declare class DataGoogleComputeBackendBucket extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleComputeBackendBucketConfig);
    get bucketName(): string;
    cdnPolicy(index: string): DataGoogleComputeBackendBucketCdnPolicy;
    get creationTimestamp(): string;
    get description(): string;
    get enableCdn(): boolean;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
