import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleComputeForwardingRuleConfig extends TerraformMetaArguments {
    readonly name: string;
    readonly project?: string;
    readonly region?: string;
}
export declare class DataGoogleComputeForwardingRule extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleComputeForwardingRuleConfig);
    get backendService(): string;
    get description(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get ipAddress(): string;
    get ipProtocol(): string;
    get loadBalancingScheme(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get network(): string;
    get portRange(): string;
    get ports(): string[];
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    get selfLink(): string;
    get subnetwork(): string;
    get target(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
