import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleComputeImageConfig extends TerraformMetaArguments {
    readonly family?: string;
    readonly name?: string;
    readonly project?: string;
}
export declare class DataGoogleComputeImage extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleComputeImageConfig);
    get archiveSizeBytes(): number;
    get creationTimestamp(): string;
    get description(): string;
    get diskSizeGb(): number;
    private _family?;
    get family(): string | undefined;
    set family(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get imageEncryptionKeySha256(): string;
    get imageId(): string;
    get labelFingerprint(): string;
    labels(key: string): string;
    get licenses(): string[];
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    get sourceDisk(): string;
    get sourceDiskEncryptionKeySha256(): string;
    get sourceDiskId(): string;
    get sourceImageId(): string;
    get status(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
