import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleComputeInstanceGroupConfig extends TerraformMetaArguments {
    readonly name?: string;
    readonly project?: string;
    readonly selfLink?: string;
    readonly zone?: string;
}
export declare class DataGoogleComputeInstanceGroupNamedPort extends ComplexComputedList {
    get name(): string;
    get port(): number;
}
export declare class DataGoogleComputeInstanceGroup extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleComputeInstanceGroupConfig);
    get description(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get instances(): string[];
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    namedPort(index: string): DataGoogleComputeInstanceGroupNamedPort;
    get network(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _selfLink?;
    get selfLink(): string | undefined;
    set selfLink(value: string | undefined);
    get size(): number;
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
