import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleComputeRouterConfig extends TerraformMetaArguments {
    /** Name of the resource. The name must be 1-63 characters long, and
  comply with RFC1035. Specifically, the name must be 1-63 characters
  long and match the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?'
  which means the first character must be a lowercase letter, and all
  following characters must be a dash, lowercase letter, or digit,
  except the last character, which cannot be a dash. */
    readonly name: string;
    /** A reference to the network to which this router belongs. */
    readonly network: string;
    readonly project?: string;
    /** Region where the router resides. */
    readonly region?: string;
}
export declare class DataGoogleComputeRouterBgpAdvertisedIpRanges extends ComplexComputedList {
    get description(): string;
    get range(): string;
}
export declare class DataGoogleComputeRouterBgp extends ComplexComputedList {
    get advertiseMode(): string;
    get advertisedGroups(): string[];
    get advertisedIpRanges(): any;
    get asn(): number;
}
export declare class DataGoogleComputeRouter extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleComputeRouterConfig);
    bgp(index: string): DataGoogleComputeRouterBgp;
    get creationTimestamp(): string;
    get description(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _network;
    get network(): string;
    set network(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    get selfLink(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
