import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleContainerEngineVersionsConfig extends TerraformMetaArguments {
    readonly location?: string;
    readonly project?: string;
    readonly region?: string;
    readonly versionPrefix?: string;
    readonly zone?: string;
}
export declare class DataGoogleContainerEngineVersions extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleContainerEngineVersionsConfig);
    get defaultClusterVersion(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get latestMasterVersion(): string;
    get latestNodeVersion(): string;
    private _location?;
    get location(): string | undefined;
    set location(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    releaseChannelDefaultVersion(key: string): string;
    get validMasterVersions(): string[];
    get validNodeVersions(): string[];
    private _versionPrefix?;
    get versionPrefix(): string | undefined;
    set versionPrefix(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
