import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleDnsKeysConfig extends TerraformMetaArguments {
    readonly managedZone: string;
    readonly project?: string;
}
export declare class DataGoogleDnsKeysKeySigningKeysDigests extends ComplexComputedList {
    get digest(): string;
    get type(): string;
}
export declare class DataGoogleDnsKeysKeySigningKeys extends ComplexComputedList {
    get algorithm(): string;
    get creationTime(): string;
    get description(): string;
    get digests(): any;
    get dsRecord(): string;
    get id(): string;
    get isActive(): boolean;
    get keyLength(): number;
    get keyTag(): number;
    get publicKey(): string;
}
export declare class DataGoogleDnsKeysZoneSigningKeysDigests extends ComplexComputedList {
    get digest(): string;
    get type(): string;
}
export declare class DataGoogleDnsKeysZoneSigningKeys extends ComplexComputedList {
    get algorithm(): string;
    get creationTime(): string;
    get description(): string;
    get digests(): any;
    get id(): string;
    get isActive(): boolean;
    get keyLength(): number;
    get keyTag(): number;
    get publicKey(): string;
}
export declare class DataGoogleDnsKeys extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleDnsKeysConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    keySigningKeys(index: string): DataGoogleDnsKeysKeySigningKeys;
    private _managedZone;
    get managedZone(): string;
    set managedZone(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    zoneSigningKeys(index: string): DataGoogleDnsKeysZoneSigningKeys;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
