import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleFolderOrganizationPolicyConfig extends TerraformMetaArguments {
    /** The name of the Constraint the Policy is configuring, for example, serviceuser.services. */
    readonly constraint: string;
    /** The resource name of the folder to set the policy for. Its format is folders/{folder_id}. */
    readonly folder: string;
}
export declare class DataGoogleFolderOrganizationPolicyBooleanPolicy extends ComplexComputedList {
    get enforced(): boolean;
}
export declare class DataGoogleFolderOrganizationPolicyListPolicyAllow extends ComplexComputedList {
    get all(): boolean;
    get values(): string[];
}
export declare class DataGoogleFolderOrganizationPolicyListPolicyDeny extends ComplexComputedList {
    get all(): boolean;
    get values(): string[];
}
export declare class DataGoogleFolderOrganizationPolicyListPolicy extends ComplexComputedList {
    get allow(): any;
    get deny(): any;
    get inheritFromParent(): boolean;
    get suggestedValue(): string;
}
export declare class DataGoogleFolderOrganizationPolicyRestorePolicy extends ComplexComputedList {
    get default(): boolean;
}
export declare class DataGoogleFolderOrganizationPolicy extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleFolderOrganizationPolicyConfig);
    booleanPolicy(index: string): DataGoogleFolderOrganizationPolicyBooleanPolicy;
    private _constraint;
    get constraint(): string;
    set constraint(value: string);
    get etag(): string;
    private _folder;
    get folder(): string;
    set folder(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    listPolicy(index: string): DataGoogleFolderOrganizationPolicyListPolicy;
    restorePolicy(index: string): DataGoogleFolderOrganizationPolicyRestorePolicy;
    get updateTime(): string;
    get version(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
