import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleIamPolicyConfig extends TerraformMetaArguments {
    /** audit_config block */
    readonly auditConfig?: DataGoogleIamPolicyAuditConfig[];
    /** binding block */
    readonly binding?: DataGoogleIamPolicyBinding[];
}
export interface DataGoogleIamPolicyAuditConfigAuditLogConfigs {
    readonly exemptedMembers?: string[];
    readonly logType: string;
}
export interface DataGoogleIamPolicyAuditConfig {
    readonly service: string;
    /** audit_log_configs block */
    readonly auditLogConfigs: DataGoogleIamPolicyAuditConfigAuditLogConfigs[];
}
export interface DataGoogleIamPolicyBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export interface DataGoogleIamPolicyBinding {
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: DataGoogleIamPolicyBindingCondition[];
}
export declare class DataGoogleIamPolicy extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleIamPolicyConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get policyData(): string;
    private _auditConfig?;
    get auditConfig(): DataGoogleIamPolicyAuditConfig[] | undefined;
    set auditConfig(value: DataGoogleIamPolicyAuditConfig[] | undefined);
    private _binding?;
    get binding(): DataGoogleIamPolicyBinding[] | undefined;
    set binding(value: DataGoogleIamPolicyBinding[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
