import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleKmsCryptoKeyVersionConfig extends TerraformMetaArguments {
    readonly cryptoKey: string;
    readonly version?: number;
}
export declare class DataGoogleKmsCryptoKeyVersionPublicKey extends ComplexComputedList {
    get algorithm(): string;
    get pem(): string;
}
export declare class DataGoogleKmsCryptoKeyVersion extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleKmsCryptoKeyVersionConfig);
    get algorithm(): string;
    private _cryptoKey;
    get cryptoKey(): string;
    set cryptoKey(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get protectionLevel(): string;
    publicKey(index: string): DataGoogleKmsCryptoKeyVersionPublicKey;
    get state(): string;
    private _version?;
    get version(): number | undefined;
    set version(value: number | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
