import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleKmsCryptoKeyConfig extends TerraformMetaArguments {
    /** The KeyRing that this key belongs to.
  Format: ''projects/{{project}}/locations/{{location}}/keyRings/{{keyRing}}''. */
    readonly keyRing: string;
    /** The resource name for the CryptoKey. */
    readonly name: string;
}
export declare class DataGoogleKmsCryptoKeyVersionTemplate extends ComplexComputedList {
    get algorithm(): string;
    get protectionLevel(): string;
}
export declare class DataGoogleKmsCryptoKey extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleKmsCryptoKeyConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keyRing;
    get keyRing(): string;
    set keyRing(value: string);
    labels(key: string): string;
    private _name;
    get name(): string;
    set name(value: string);
    get purpose(): string;
    get rotationPeriod(): string;
    get selfLink(): string;
    versionTemplate(index: string): DataGoogleKmsCryptoKeyVersionTemplate;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
