import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleKmsKeyRingConfig extends TerraformMetaArguments {
    /** The location for the KeyRing.
  A full list of valid locations can be found by running 'gcloud kms locations list'. */
    readonly location: string;
    /** The resource name for the KeyRing. */
    readonly name: string;
    readonly project?: string;
}
export declare class DataGoogleKmsKeyRing extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleKmsKeyRingConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _location;
    get location(): string;
    set location(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
