import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleKmsSecretConfig extends TerraformMetaArguments {
    readonly additionalAuthenticatedData?: string;
    readonly ciphertext: string;
    readonly cryptoKey: string;
}
export declare class DataGoogleKmsSecret extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleKmsSecretConfig);
    private _additionalAuthenticatedData?;
    get additionalAuthenticatedData(): string | undefined;
    set additionalAuthenticatedData(value: string | undefined);
    private _ciphertext;
    get ciphertext(): string;
    set ciphertext(value: string);
    private _cryptoKey;
    get cryptoKey(): string;
    set cryptoKey(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get plaintext(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
