import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleProjectOrganizationPolicyConfig extends TerraformMetaArguments {
    /** The name of the Constraint the Policy is configuring, for example, serviceuser.services. */
    readonly constraint: string;
    /** The project ID. */
    readonly project: string;
}
export declare class DataGoogleProjectOrganizationPolicyBooleanPolicy extends ComplexComputedList {
    get enforced(): boolean;
}
export declare class DataGoogleProjectOrganizationPolicyListPolicyAllow extends ComplexComputedList {
    get all(): boolean;
    get values(): string[];
}
export declare class DataGoogleProjectOrganizationPolicyListPolicyDeny extends ComplexComputedList {
    get all(): boolean;
    get values(): string[];
}
export declare class DataGoogleProjectOrganizationPolicyListPolicy extends ComplexComputedList {
    get allow(): any;
    get deny(): any;
    get inheritFromParent(): boolean;
    get suggestedValue(): string;
}
export declare class DataGoogleProjectOrganizationPolicyRestorePolicy extends ComplexComputedList {
    get default(): boolean;
}
export declare class DataGoogleProjectOrganizationPolicy extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleProjectOrganizationPolicyConfig);
    booleanPolicy(index: string): DataGoogleProjectOrganizationPolicyBooleanPolicy;
    private _constraint;
    get constraint(): string;
    set constraint(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    listPolicy(index: string): DataGoogleProjectOrganizationPolicyListPolicy;
    private _project;
    get project(): string;
    set project(value: string);
    restorePolicy(index: string): DataGoogleProjectOrganizationPolicyRestorePolicy;
    get updateTime(): string;
    get version(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
