import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleProjectConfig extends TerraformMetaArguments {
    /** The project ID. Changing this forces a new project to be created. */
    readonly projectId?: string;
}
export declare class DataGoogleProject extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleProjectConfig);
    get autoCreateNetwork(): boolean;
    get billingAccount(): string;
    get folderId(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    labels(key: string): string;
    get name(): string;
    get number(): string;
    get orgId(): string;
    private _projectId?;
    get projectId(): string | undefined;
    set projectId(value: string | undefined);
    get skipDelete(): boolean;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
