import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleRedisInstanceConfig extends TerraformMetaArguments {
    /** The ID of the instance or a fully qualified identifier for the instance. */
    readonly name: string;
    readonly project?: string;
    /** The name of the Redis region of the instance. */
    readonly region?: string;
}
export declare class DataGoogleRedisInstance extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleRedisInstanceConfig);
    get alternativeLocationId(): string;
    get authorizedNetwork(): string;
    get connectMode(): string;
    get createTime(): string;
    get currentLocationId(): string;
    get displayName(): string;
    get host(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    labels(key: string): string;
    get locationId(): string;
    get memorySizeGb(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get persistenceIamIdentity(): string;
    get port(): number;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    redisConfigs(key: string): string;
    get redisVersion(): string;
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    get reservedIpRange(): string;
    get tier(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
