import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleStorageBucketObjectConfig extends TerraformMetaArguments {
    /** The name of the containing bucket. */
    readonly bucket?: string;
    /** The name of the object. If you're interpolating the name of this object, see output_name instead. */
    readonly name?: string;
}
export declare class DataGoogleStorageBucketObject extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleStorageBucketObjectConfig);
    private _bucket?;
    get bucket(): string | undefined;
    set bucket(value: string | undefined);
    get cacheControl(): string;
    get content(): string;
    get contentDisposition(): string;
    get contentEncoding(): string;
    get contentLanguage(): string;
    get contentType(): string;
    get crc32C(): string;
    get detectMd5Hash(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get md5Hash(): string;
    get mediaLink(): string;
    metadata(key: string): string;
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    get outputName(): string;
    get selfLink(): string;
    get source(): string;
    get storageClass(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
