import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleStorageObjectSignedUrlConfig extends TerraformMetaArguments {
    readonly bucket: string;
    readonly contentMd5?: string;
    readonly contentType?: string;
    readonly credentials?: string;
    readonly duration?: string;
    readonly extensionHeaders?: {
        [key: string]: string;
    };
    readonly httpMethod?: string;
    readonly path: string;
}
export declare class DataGoogleStorageObjectSignedUrl extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleStorageObjectSignedUrlConfig);
    private _bucket;
    get bucket(): string;
    set bucket(value: string);
    private _contentMd5?;
    get contentMd5(): string | undefined;
    set contentMd5(value: string | undefined);
    private _contentType?;
    get contentType(): string | undefined;
    set contentType(value: string | undefined);
    private _credentials?;
    get credentials(): string | undefined;
    set credentials(value: string | undefined);
    private _duration?;
    get duration(): string | undefined;
    set duration(value: string | undefined);
    private _extensionHeaders?;
    get extensionHeaders(): {
        [key: string]: string;
    } | undefined;
    set extensionHeaders(value: {
        [key: string]: string;
    } | undefined);
    private _httpMethod?;
    get httpMethod(): string | undefined;
    set httpMethod(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _path;
    get path(): string;
    set path(value: string);
    get signedUrl(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
