import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataprocClusterIamMemberConfig extends TerraformMetaArguments {
    readonly cluster: string;
    readonly member: string;
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: DataprocClusterIamMemberCondition[];
}
export interface DataprocClusterIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class DataprocClusterIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: DataprocClusterIamMemberConfig);
    private _cluster;
    get cluster(): string;
    set cluster(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): DataprocClusterIamMemberCondition[] | undefined;
    set condition(value: DataprocClusterIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
