import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataprocJobIamMemberConfig extends TerraformMetaArguments {
    readonly jobId: string;
    readonly member: string;
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: DataprocJobIamMemberCondition[];
}
export interface DataprocJobIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class DataprocJobIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: DataprocJobIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _jobId;
    get jobId(): string;
    set jobId(value: string);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): DataprocJobIamMemberCondition[] | undefined;
    set condition(value: DataprocJobIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
