import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DatastoreIndexConfig extends TerraformMetaArguments {
    /** Policy for including ancestors in the index. Default value: "NONE" Possible values: ["NONE", "ALL_ANCESTORS"] */
    readonly ancestor?: string;
    /** The entity kind which the index applies to. */
    readonly kind: string;
    readonly project?: string;
    /** properties block */
    readonly properties?: DatastoreIndexProperties[];
    /** timeouts block */
    readonly timeouts?: DatastoreIndexTimeouts;
}
export interface DatastoreIndexProperties {
    /** The direction the index should optimize for sorting. Possible values: ["ASCENDING", "DESCENDING"] */
    readonly direction: string;
    /** The property name to index. */
    readonly name: string;
}
export interface DatastoreIndexTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class DatastoreIndex extends TerraformResource {
    constructor(scope: Construct, id: string, config: DatastoreIndexConfig);
    private _ancestor?;
    get ancestor(): string | undefined;
    set ancestor(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get indexId(): string;
    private _kind;
    get kind(): string;
    set kind(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _properties?;
    get properties(): DatastoreIndexProperties[] | undefined;
    set properties(value: DatastoreIndexProperties[] | undefined);
    private _timeouts?;
    get timeouts(): DatastoreIndexTimeouts | undefined;
    set timeouts(value: DatastoreIndexTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
