import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface FolderIamAuditConfigConfig extends TerraformMetaArguments {
    readonly folder: string;
    /** Service which will be enabled for audit logging. The special value allServices covers all services. */
    readonly service: string;
    /** audit_log_config block */
    readonly auditLogConfig: FolderIamAuditConfigAuditLogConfig[];
}
export interface FolderIamAuditConfigAuditLogConfig {
    /** Identities that do not cause logging for this type of permission. Each entry can have one of the following values:user:{emailid}: An email address that represents a specific Google account. For example, alice@gmail.com or joe@example.com. serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. domain:{domain}: A G Suite domain (primary, instead of alias) name that represents all the users of that domain. For example, google.com or example.com. */
    readonly exemptedMembers?: string[];
    /** Permission type for which logging is to be configured. Must be one of DATA_READ, DATA_WRITE, or ADMIN_READ. */
    readonly logType: string;
}
export declare class FolderIamAuditConfig extends TerraformResource {
    constructor(scope: Construct, id: string, config: FolderIamAuditConfigConfig);
    get etag(): string;
    private _folder;
    get folder(): string;
    set folder(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _service;
    get service(): string;
    set service(value: string);
    private _auditLogConfig;
    get auditLogConfig(): FolderIamAuditConfigAuditLogConfig[];
    set auditLogConfig(value: FolderIamAuditConfigAuditLogConfig[]);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
