import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface FolderIamBindingConfig extends TerraformMetaArguments {
    readonly folder: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: FolderIamBindingCondition[];
}
export interface FolderIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class FolderIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: FolderIamBindingConfig);
    get etag(): string;
    private _folder;
    get folder(): string;
    set folder(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): FolderIamBindingCondition[] | undefined;
    set condition(value: FolderIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
