import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface FolderIamMemberConfig extends TerraformMetaArguments {
    readonly folder: string;
    readonly member: string;
    readonly role: string;
    /** condition block */
    readonly condition?: FolderIamMemberCondition[];
}
export interface FolderIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class FolderIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: FolderIamMemberConfig);
    get etag(): string;
    private _folder;
    get folder(): string;
    set folder(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): FolderIamMemberCondition[] | undefined;
    set condition(value: FolderIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
