import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GameServicesGameServerDeploymentConfig extends TerraformMetaArguments {
    /** A unique id for the deployment. */
    readonly deploymentId: string;
    /** Human readable description of the game server deployment. */
    readonly description?: string;
    /** The labels associated with this game server deployment. Each label is a
  key-value pair. */
    readonly labels?: {
        [key: string]: string;
    };
    /** Location of the Deployment. */
    readonly location?: string;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: GameServicesGameServerDeploymentTimeouts;
}
export interface GameServicesGameServerDeploymentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class GameServicesGameServerDeployment extends TerraformResource {
    constructor(scope: Construct, id: string, config: GameServicesGameServerDeploymentConfig);
    private _deploymentId;
    get deploymentId(): string;
    set deploymentId(value: string);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _labels?;
    get labels(): {
        [key: string]: string;
    } | undefined;
    set labels(value: {
        [key: string]: string;
    } | undefined);
    private _location?;
    get location(): string | undefined;
    set location(value: string | undefined);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): GameServicesGameServerDeploymentTimeouts | undefined;
    set timeouts(value: GameServicesGameServerDeploymentTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
