import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GameServicesRealmConfig extends TerraformMetaArguments {
    /** Human readable description of the realm. */
    readonly description?: string;
    /** The labels associated with this realm. Each label is a key-value pair. */
    readonly labels?: {
        [key: string]: string;
    };
    /** Location of the Realm. */
    readonly location?: string;
    readonly project?: string;
    /** GCP region of the Realm. */
    readonly realmId: string;
    /** Required. Time zone where all realm-specific policies are evaluated. The value of
  this field must be from the IANA time zone database:
  https://www.iana.org/time-zones. */
    readonly timeZone: string;
    /** timeouts block */
    readonly timeouts?: GameServicesRealmTimeouts;
}
export interface GameServicesRealmTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class GameServicesRealm extends TerraformResource {
    constructor(scope: Construct, id: string, config: GameServicesRealmConfig);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _labels?;
    get labels(): {
        [key: string]: string;
    } | undefined;
    set labels(value: {
        [key: string]: string;
    } | undefined);
    private _location?;
    get location(): string | undefined;
    set location(value: string | undefined);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _realmId;
    get realmId(): string;
    set realmId(value: string);
    private _timeZone;
    get timeZone(): string;
    set timeZone(value: string);
    private _timeouts?;
    get timeouts(): GameServicesRealmTimeouts | undefined;
    set timeouts(value: GameServicesRealmTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
