import { Construct } from 'constructs';
import { TerraformProvider } from 'cdktf';
export interface GoogleProviderConfig {
    readonly accessApprovalCustomEndpoint?: string;
    readonly accessContextManagerCustomEndpoint?: string;
    readonly accessToken?: string;
    readonly activeDirectoryCustomEndpoint?: string;
    readonly appEngineCustomEndpoint?: string;
    readonly bigQueryCustomEndpoint?: string;
    readonly bigqueryDataTransferCustomEndpoint?: string;
    readonly bigtableCustomEndpoint?: string;
    readonly binaryAuthorizationCustomEndpoint?: string;
    readonly cloudAssetCustomEndpoint?: string;
    readonly cloudBillingCustomEndpoint?: string;
    readonly cloudBuildCustomEndpoint?: string;
    readonly cloudFunctionsCustomEndpoint?: string;
    readonly cloudIotCustomEndpoint?: string;
    readonly cloudRunCustomEndpoint?: string;
    readonly cloudSchedulerCustomEndpoint?: string;
    readonly cloudTasksCustomEndpoint?: string;
    readonly composerCustomEndpoint?: string;
    readonly computeBetaCustomEndpoint?: string;
    readonly computeCustomEndpoint?: string;
    readonly containerAnalysisCustomEndpoint?: string;
    readonly containerBetaCustomEndpoint?: string;
    readonly containerCustomEndpoint?: string;
    readonly credentials?: string;
    readonly dataCatalogCustomEndpoint?: string;
    readonly dataflowCustomEndpoint?: string;
    readonly dataprocBetaCustomEndpoint?: string;
    readonly dataprocCustomEndpoint?: string;
    readonly datastoreCustomEndpoint?: string;
    readonly deploymentManagerCustomEndpoint?: string;
    readonly dialogflowCustomEndpoint?: string;
    readonly dnsBetaCustomEndpoint?: string;
    readonly dnsCustomEndpoint?: string;
    readonly filestoreCustomEndpoint?: string;
    readonly firestoreCustomEndpoint?: string;
    readonly gameServicesCustomEndpoint?: string;
    readonly healthcareCustomEndpoint?: string;
    readonly iamCredentialsCustomEndpoint?: string;
    readonly iamCustomEndpoint?: string;
    readonly iapCustomEndpoint?: string;
    readonly identityPlatformCustomEndpoint?: string;
    readonly kmsCustomEndpoint?: string;
    readonly loggingCustomEndpoint?: string;
    readonly mlEngineCustomEndpoint?: string;
    readonly monitoringCustomEndpoint?: string;
    readonly networkManagementCustomEndpoint?: string;
    readonly osConfigCustomEndpoint?: string;
    readonly osLoginCustomEndpoint?: string;
    readonly project?: string;
    readonly pubsubCustomEndpoint?: string;
    readonly redisCustomEndpoint?: string;
    readonly region?: string;
    readonly requestTimeout?: string;
    readonly resourceManagerCustomEndpoint?: string;
    readonly resourceManagerV2Beta1CustomEndpoint?: string;
    readonly runtimeConfigCustomEndpoint?: string;
    readonly runtimeconfigCustomEndpoint?: string;
    readonly scopes?: string[];
    readonly secretManagerCustomEndpoint?: string;
    readonly securityCenterCustomEndpoint?: string;
    readonly serviceManagementCustomEndpoint?: string;
    readonly serviceNetworkingCustomEndpoint?: string;
    readonly serviceUsageCustomEndpoint?: string;
    readonly sourceRepoCustomEndpoint?: string;
    readonly spannerCustomEndpoint?: string;
    readonly sqlCustomEndpoint?: string;
    readonly storageCustomEndpoint?: string;
    readonly storageTransferCustomEndpoint?: string;
    readonly tpuCustomEndpoint?: string;
    readonly userProjectOverride?: boolean;
    readonly vpcAccessCustomEndpoint?: string;
    readonly zone?: string;
    /** Alias name */
    readonly alias?: string;
    /** batching block */
    readonly batching?: GoogleProviderBatching[];
}
export interface GoogleProviderBatching {
    readonly enableBatching?: boolean;
    readonly sendAfter?: string;
}
export declare class GoogleProvider extends TerraformProvider {
    constructor(scope: Construct, id: string, config?: GoogleProviderConfig);
    private _accessApprovalCustomEndpoint?;
    get accessApprovalCustomEndpoint(): string | undefined;
    set accessApprovalCustomEndpoint(value: string | undefined);
    private _accessContextManagerCustomEndpoint?;
    get accessContextManagerCustomEndpoint(): string | undefined;
    set accessContextManagerCustomEndpoint(value: string | undefined);
    private _accessToken?;
    get accessToken(): string | undefined;
    set accessToken(value: string | undefined);
    private _activeDirectoryCustomEndpoint?;
    get activeDirectoryCustomEndpoint(): string | undefined;
    set activeDirectoryCustomEndpoint(value: string | undefined);
    private _appEngineCustomEndpoint?;
    get appEngineCustomEndpoint(): string | undefined;
    set appEngineCustomEndpoint(value: string | undefined);
    private _bigQueryCustomEndpoint?;
    get bigQueryCustomEndpoint(): string | undefined;
    set bigQueryCustomEndpoint(value: string | undefined);
    private _bigqueryDataTransferCustomEndpoint?;
    get bigqueryDataTransferCustomEndpoint(): string | undefined;
    set bigqueryDataTransferCustomEndpoint(value: string | undefined);
    private _bigtableCustomEndpoint?;
    get bigtableCustomEndpoint(): string | undefined;
    set bigtableCustomEndpoint(value: string | undefined);
    private _binaryAuthorizationCustomEndpoint?;
    get binaryAuthorizationCustomEndpoint(): string | undefined;
    set binaryAuthorizationCustomEndpoint(value: string | undefined);
    private _cloudAssetCustomEndpoint?;
    get cloudAssetCustomEndpoint(): string | undefined;
    set cloudAssetCustomEndpoint(value: string | undefined);
    private _cloudBillingCustomEndpoint?;
    get cloudBillingCustomEndpoint(): string | undefined;
    set cloudBillingCustomEndpoint(value: string | undefined);
    private _cloudBuildCustomEndpoint?;
    get cloudBuildCustomEndpoint(): string | undefined;
    set cloudBuildCustomEndpoint(value: string | undefined);
    private _cloudFunctionsCustomEndpoint?;
    get cloudFunctionsCustomEndpoint(): string | undefined;
    set cloudFunctionsCustomEndpoint(value: string | undefined);
    private _cloudIotCustomEndpoint?;
    get cloudIotCustomEndpoint(): string | undefined;
    set cloudIotCustomEndpoint(value: string | undefined);
    private _cloudRunCustomEndpoint?;
    get cloudRunCustomEndpoint(): string | undefined;
    set cloudRunCustomEndpoint(value: string | undefined);
    private _cloudSchedulerCustomEndpoint?;
    get cloudSchedulerCustomEndpoint(): string | undefined;
    set cloudSchedulerCustomEndpoint(value: string | undefined);
    private _cloudTasksCustomEndpoint?;
    get cloudTasksCustomEndpoint(): string | undefined;
    set cloudTasksCustomEndpoint(value: string | undefined);
    private _composerCustomEndpoint?;
    get composerCustomEndpoint(): string | undefined;
    set composerCustomEndpoint(value: string | undefined);
    private _computeBetaCustomEndpoint?;
    get computeBetaCustomEndpoint(): string | undefined;
    set computeBetaCustomEndpoint(value: string | undefined);
    private _computeCustomEndpoint?;
    get computeCustomEndpoint(): string | undefined;
    set computeCustomEndpoint(value: string | undefined);
    private _containerAnalysisCustomEndpoint?;
    get containerAnalysisCustomEndpoint(): string | undefined;
    set containerAnalysisCustomEndpoint(value: string | undefined);
    private _containerBetaCustomEndpoint?;
    get containerBetaCustomEndpoint(): string | undefined;
    set containerBetaCustomEndpoint(value: string | undefined);
    private _containerCustomEndpoint?;
    get containerCustomEndpoint(): string | undefined;
    set containerCustomEndpoint(value: string | undefined);
    private _credentials?;
    get credentials(): string | undefined;
    set credentials(value: string | undefined);
    private _dataCatalogCustomEndpoint?;
    get dataCatalogCustomEndpoint(): string | undefined;
    set dataCatalogCustomEndpoint(value: string | undefined);
    private _dataflowCustomEndpoint?;
    get dataflowCustomEndpoint(): string | undefined;
    set dataflowCustomEndpoint(value: string | undefined);
    private _dataprocBetaCustomEndpoint?;
    get dataprocBetaCustomEndpoint(): string | undefined;
    set dataprocBetaCustomEndpoint(value: string | undefined);
    private _dataprocCustomEndpoint?;
    get dataprocCustomEndpoint(): string | undefined;
    set dataprocCustomEndpoint(value: string | undefined);
    private _datastoreCustomEndpoint?;
    get datastoreCustomEndpoint(): string | undefined;
    set datastoreCustomEndpoint(value: string | undefined);
    private _deploymentManagerCustomEndpoint?;
    get deploymentManagerCustomEndpoint(): string | undefined;
    set deploymentManagerCustomEndpoint(value: string | undefined);
    private _dialogflowCustomEndpoint?;
    get dialogflowCustomEndpoint(): string | undefined;
    set dialogflowCustomEndpoint(value: string | undefined);
    private _dnsBetaCustomEndpoint?;
    get dnsBetaCustomEndpoint(): string | undefined;
    set dnsBetaCustomEndpoint(value: string | undefined);
    private _dnsCustomEndpoint?;
    get dnsCustomEndpoint(): string | undefined;
    set dnsCustomEndpoint(value: string | undefined);
    private _filestoreCustomEndpoint?;
    get filestoreCustomEndpoint(): string | undefined;
    set filestoreCustomEndpoint(value: string | undefined);
    private _firestoreCustomEndpoint?;
    get firestoreCustomEndpoint(): string | undefined;
    set firestoreCustomEndpoint(value: string | undefined);
    private _gameServicesCustomEndpoint?;
    get gameServicesCustomEndpoint(): string | undefined;
    set gameServicesCustomEndpoint(value: string | undefined);
    private _healthcareCustomEndpoint?;
    get healthcareCustomEndpoint(): string | undefined;
    set healthcareCustomEndpoint(value: string | undefined);
    private _iamCredentialsCustomEndpoint?;
    get iamCredentialsCustomEndpoint(): string | undefined;
    set iamCredentialsCustomEndpoint(value: string | undefined);
    private _iamCustomEndpoint?;
    get iamCustomEndpoint(): string | undefined;
    set iamCustomEndpoint(value: string | undefined);
    private _iapCustomEndpoint?;
    get iapCustomEndpoint(): string | undefined;
    set iapCustomEndpoint(value: string | undefined);
    private _identityPlatformCustomEndpoint?;
    get identityPlatformCustomEndpoint(): string | undefined;
    set identityPlatformCustomEndpoint(value: string | undefined);
    private _kmsCustomEndpoint?;
    get kmsCustomEndpoint(): string | undefined;
    set kmsCustomEndpoint(value: string | undefined);
    private _loggingCustomEndpoint?;
    get loggingCustomEndpoint(): string | undefined;
    set loggingCustomEndpoint(value: string | undefined);
    private _mlEngineCustomEndpoint?;
    get mlEngineCustomEndpoint(): string | undefined;
    set mlEngineCustomEndpoint(value: string | undefined);
    private _monitoringCustomEndpoint?;
    get monitoringCustomEndpoint(): string | undefined;
    set monitoringCustomEndpoint(value: string | undefined);
    private _networkManagementCustomEndpoint?;
    get networkManagementCustomEndpoint(): string | undefined;
    set networkManagementCustomEndpoint(value: string | undefined);
    private _osConfigCustomEndpoint?;
    get osConfigCustomEndpoint(): string | undefined;
    set osConfigCustomEndpoint(value: string | undefined);
    private _osLoginCustomEndpoint?;
    get osLoginCustomEndpoint(): string | undefined;
    set osLoginCustomEndpoint(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _pubsubCustomEndpoint?;
    get pubsubCustomEndpoint(): string | undefined;
    set pubsubCustomEndpoint(value: string | undefined);
    private _redisCustomEndpoint?;
    get redisCustomEndpoint(): string | undefined;
    set redisCustomEndpoint(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _requestTimeout?;
    get requestTimeout(): string | undefined;
    set requestTimeout(value: string | undefined);
    private _resourceManagerCustomEndpoint?;
    get resourceManagerCustomEndpoint(): string | undefined;
    set resourceManagerCustomEndpoint(value: string | undefined);
    private _resourceManagerV2Beta1CustomEndpoint?;
    get resourceManagerV2Beta1CustomEndpoint(): string | undefined;
    set resourceManagerV2Beta1CustomEndpoint(value: string | undefined);
    private _runtimeConfigCustomEndpoint?;
    get runtimeConfigCustomEndpoint(): string | undefined;
    set runtimeConfigCustomEndpoint(value: string | undefined);
    private _runtimeconfigCustomEndpoint?;
    get runtimeconfigCustomEndpoint(): string | undefined;
    set runtimeconfigCustomEndpoint(value: string | undefined);
    private _scopes?;
    get scopes(): string[] | undefined;
    set scopes(value: string[] | undefined);
    private _secretManagerCustomEndpoint?;
    get secretManagerCustomEndpoint(): string | undefined;
    set secretManagerCustomEndpoint(value: string | undefined);
    private _securityCenterCustomEndpoint?;
    get securityCenterCustomEndpoint(): string | undefined;
    set securityCenterCustomEndpoint(value: string | undefined);
    private _serviceManagementCustomEndpoint?;
    get serviceManagementCustomEndpoint(): string | undefined;
    set serviceManagementCustomEndpoint(value: string | undefined);
    private _serviceNetworkingCustomEndpoint?;
    get serviceNetworkingCustomEndpoint(): string | undefined;
    set serviceNetworkingCustomEndpoint(value: string | undefined);
    private _serviceUsageCustomEndpoint?;
    get serviceUsageCustomEndpoint(): string | undefined;
    set serviceUsageCustomEndpoint(value: string | undefined);
    private _sourceRepoCustomEndpoint?;
    get sourceRepoCustomEndpoint(): string | undefined;
    set sourceRepoCustomEndpoint(value: string | undefined);
    private _spannerCustomEndpoint?;
    get spannerCustomEndpoint(): string | undefined;
    set spannerCustomEndpoint(value: string | undefined);
    private _sqlCustomEndpoint?;
    get sqlCustomEndpoint(): string | undefined;
    set sqlCustomEndpoint(value: string | undefined);
    private _storageCustomEndpoint?;
    get storageCustomEndpoint(): string | undefined;
    set storageCustomEndpoint(value: string | undefined);
    private _storageTransferCustomEndpoint?;
    get storageTransferCustomEndpoint(): string | undefined;
    set storageTransferCustomEndpoint(value: string | undefined);
    private _tpuCustomEndpoint?;
    get tpuCustomEndpoint(): string | undefined;
    set tpuCustomEndpoint(value: string | undefined);
    private _userProjectOverride?;
    get userProjectOverride(): boolean | undefined;
    set userProjectOverride(value: boolean | undefined);
    private _vpcAccessCustomEndpoint?;
    get vpcAccessCustomEndpoint(): string | undefined;
    set vpcAccessCustomEndpoint(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _alias?;
    get alias(): string | undefined;
    set alias(value: string | undefined);
    private _batching?;
    get batching(): GoogleProviderBatching[] | undefined;
    set batching(value: GoogleProviderBatching[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
