import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareDatasetIamBindingConfig extends TerraformMetaArguments {
    readonly datasetId: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: HealthcareDatasetIamBindingCondition[];
}
export interface HealthcareDatasetIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class HealthcareDatasetIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareDatasetIamBindingConfig);
    private _datasetId;
    get datasetId(): string;
    set datasetId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): HealthcareDatasetIamBindingCondition[] | undefined;
    set condition(value: HealthcareDatasetIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
