import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareDatasetIamMemberConfig extends TerraformMetaArguments {
    readonly datasetId: string;
    readonly member: string;
    readonly role: string;
    /** condition block */
    readonly condition?: HealthcareDatasetIamMemberCondition[];
}
export interface HealthcareDatasetIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class HealthcareDatasetIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareDatasetIamMemberConfig);
    private _datasetId;
    get datasetId(): string;
    set datasetId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): HealthcareDatasetIamMemberCondition[] | undefined;
    set condition(value: HealthcareDatasetIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
