import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareDatasetConfig extends TerraformMetaArguments {
    /** The location for the Dataset. */
    readonly location: string;
    /** The resource name for the Dataset. */
    readonly name: string;
    readonly project?: string;
    /** The default timezone used by this dataset. Must be a either a valid IANA time zone name such as
  "America/New_York" or empty, which defaults to UTC. This is used for parsing times in resources
  (e.g., HL7 messages) where no explicit timezone is specified. */
    readonly timeZone?: string;
    /** timeouts block */
    readonly timeouts?: HealthcareDatasetTimeouts;
}
export interface HealthcareDatasetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class HealthcareDataset extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareDatasetConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _location;
    get location(): string;
    set location(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    private _timeZone?;
    get timeZone(): string | undefined;
    set timeZone(value: string | undefined);
    private _timeouts?;
    get timeouts(): HealthcareDatasetTimeouts | undefined;
    set timeouts(value: HealthcareDatasetTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
