import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareDicomStoreIamBindingConfig extends TerraformMetaArguments {
    readonly dicomStoreId: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: HealthcareDicomStoreIamBindingCondition[];
}
export interface HealthcareDicomStoreIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class HealthcareDicomStoreIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareDicomStoreIamBindingConfig);
    private _dicomStoreId;
    get dicomStoreId(): string;
    set dicomStoreId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): HealthcareDicomStoreIamBindingCondition[] | undefined;
    set condition(value: HealthcareDicomStoreIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
