import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareFhirStoreIamBindingConfig extends TerraformMetaArguments {
    readonly fhirStoreId: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: HealthcareFhirStoreIamBindingCondition[];
}
export interface HealthcareFhirStoreIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class HealthcareFhirStoreIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareFhirStoreIamBindingConfig);
    get etag(): string;
    private _fhirStoreId;
    get fhirStoreId(): string;
    set fhirStoreId(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): HealthcareFhirStoreIamBindingCondition[] | undefined;
    set condition(value: HealthcareFhirStoreIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
