import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareFhirStoreIamMemberConfig extends TerraformMetaArguments {
    readonly fhirStoreId: string;
    readonly member: string;
    readonly role: string;
    /** condition block */
    readonly condition?: HealthcareFhirStoreIamMemberCondition[];
}
export interface HealthcareFhirStoreIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class HealthcareFhirStoreIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareFhirStoreIamMemberConfig);
    get etag(): string;
    private _fhirStoreId;
    get fhirStoreId(): string;
    set fhirStoreId(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): HealthcareFhirStoreIamMemberCondition[] | undefined;
    set condition(value: HealthcareFhirStoreIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
