import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareHl7V2StoreIamBindingConfig extends TerraformMetaArguments {
    readonly hl7V2StoreId: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: HealthcareHl7V2StoreIamBindingCondition[];
}
export interface HealthcareHl7V2StoreIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class HealthcareHl7V2StoreIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareHl7V2StoreIamBindingConfig);
    get etag(): string;
    private _hl7V2StoreId;
    get hl7V2StoreId(): string;
    set hl7V2StoreId(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): HealthcareHl7V2StoreIamBindingCondition[] | undefined;
    set condition(value: HealthcareHl7V2StoreIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
