import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapAppEngineVersionIamBindingConfig extends TerraformMetaArguments {
    readonly appId: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly service: string;
    readonly versionId: string;
    /** condition block */
    readonly condition?: IapAppEngineVersionIamBindingCondition[];
}
export interface IapAppEngineVersionIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapAppEngineVersionIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapAppEngineVersionIamBindingConfig);
    private _appId;
    get appId(): string;
    set appId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _service;
    get service(): string;
    set service(value: string);
    private _versionId;
    get versionId(): string;
    set versionId(value: string);
    private _condition?;
    get condition(): IapAppEngineVersionIamBindingCondition[] | undefined;
    set condition(value: IapAppEngineVersionIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
