import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapBrandConfig extends TerraformMetaArguments {
    /** Application name displayed on OAuth consent screen. */
    readonly applicationTitle: string;
    readonly project?: string;
    /** Support email displayed on the OAuth consent screen. Can be either a
  user or group email. When a user email is specified, the caller must
  be the user with the associated email address. When a group email is
  specified, the caller can be either a user or a service account which
  is an owner of the specified group in Cloud Identity. */
    readonly supportEmail: string;
    /** timeouts block */
    readonly timeouts?: IapBrandTimeouts;
}
export interface IapBrandTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class IapBrand extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapBrandConfig);
    private _applicationTitle;
    get applicationTitle(): string;
    set applicationTitle(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    get orgInternalOnly(): boolean;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _supportEmail;
    get supportEmail(): string;
    set supportEmail(value: string);
    private _timeouts?;
    get timeouts(): IapBrandTimeouts | undefined;
    set timeouts(value: IapBrandTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
