import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapClientConfig extends TerraformMetaArguments {
    /** Identifier of the brand to which this client
  is attached to. The format is
  'projects/{project_number}/brands/{brand_id}/identityAwareProxyClients/{client_id}'. */
    readonly brand: string;
    /** Human-friendly name given to the OAuth client. */
    readonly displayName: string;
    /** timeouts block */
    readonly timeouts?: IapClientTimeouts;
}
export interface IapClientTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class IapClient extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapClientConfig);
    private _brand;
    get brand(): string;
    set brand(value: string);
    get clientId(): string;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get secret(): string;
    private _timeouts?;
    get timeouts(): IapClientTimeouts | undefined;
    set timeouts(value: IapClientTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
