import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapTunnelInstanceIamBindingConfig extends TerraformMetaArguments {
    readonly instance: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly zone?: string;
    /** condition block */
    readonly condition?: IapTunnelInstanceIamBindingCondition[];
}
export interface IapTunnelInstanceIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapTunnelInstanceIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapTunnelInstanceIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _condition?;
    get condition(): IapTunnelInstanceIamBindingCondition[] | undefined;
    set condition(value: IapTunnelInstanceIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
