import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IdentityPlatformDefaultSupportedIdpConfigConfig extends TerraformMetaArguments {
    /** OAuth client ID */
    readonly clientId: string;
    /** OAuth client secret */
    readonly clientSecret: string;
    /** If this IDP allows the user to sign in */
    readonly enabled?: boolean;
    /** ID of the IDP. Possible values include:
  
  * 'apple.com'
  
  * 'facebook.com'
  
  * 'gc.apple.com'
  
  * 'github.com'
  
  * 'google.com'
  
  * 'linkedin.com'
  
  * 'microsoft.com'
  
  * 'playgames.google.com'
  
  * 'twitter.com'
  
  * 'yahoo.com' */
    readonly idpId: string;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: IdentityPlatformDefaultSupportedIdpConfigTimeouts;
}
export interface IdentityPlatformDefaultSupportedIdpConfigTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class IdentityPlatformDefaultSupportedIdpConfig extends TerraformResource {
    constructor(scope: Construct, id: string, config: IdentityPlatformDefaultSupportedIdpConfigConfig);
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    private _clientSecret;
    get clientSecret(): string;
    set clientSecret(value: string);
    private _enabled?;
    get enabled(): boolean | undefined;
    set enabled(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _idpId;
    get idpId(): string;
    set idpId(value: string);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): IdentityPlatformDefaultSupportedIdpConfigTimeouts | undefined;
    set timeouts(value: IdentityPlatformDefaultSupportedIdpConfigTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
