import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface KmsCryptoKeyIamBindingConfig extends TerraformMetaArguments {
    readonly cryptoKeyId: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: KmsCryptoKeyIamBindingCondition[];
}
export interface KmsCryptoKeyIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class KmsCryptoKeyIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: KmsCryptoKeyIamBindingConfig);
    private _cryptoKeyId;
    get cryptoKeyId(): string;
    set cryptoKeyId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): KmsCryptoKeyIamBindingCondition[] | undefined;
    set condition(value: KmsCryptoKeyIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
