import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface KmsCryptoKeyIamMemberConfig extends TerraformMetaArguments {
    readonly cryptoKeyId: string;
    readonly member: string;
    readonly role: string;
    /** condition block */
    readonly condition?: KmsCryptoKeyIamMemberCondition[];
}
export interface KmsCryptoKeyIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class KmsCryptoKeyIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: KmsCryptoKeyIamMemberConfig);
    private _cryptoKeyId;
    get cryptoKeyId(): string;
    set cryptoKeyId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): KmsCryptoKeyIamMemberCondition[] | undefined;
    set condition(value: KmsCryptoKeyIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
