import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface KmsKeyRingIamBindingConfig extends TerraformMetaArguments {
    readonly keyRingId: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: KmsKeyRingIamBindingCondition[];
}
export interface KmsKeyRingIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class KmsKeyRingIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: KmsKeyRingIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keyRingId;
    get keyRingId(): string;
    set keyRingId(value: string);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): KmsKeyRingIamBindingCondition[] | undefined;
    set condition(value: KmsKeyRingIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
