import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface KmsKeyRingConfig extends TerraformMetaArguments {
    /** The location for the KeyRing.
  A full list of valid locations can be found by running 'gcloud kms locations list'. */
    readonly location: string;
    /** The resource name for the KeyRing. */
    readonly name: string;
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: KmsKeyRingTimeouts;
}
export interface KmsKeyRingTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class KmsKeyRing extends TerraformResource {
    constructor(scope: Construct, id: string, config: KmsKeyRingConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _location;
    get location(): string;
    set location(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get selfLink(): string;
    private _timeouts?;
    get timeouts(): KmsKeyRingTimeouts | undefined;
    set timeouts(value: KmsKeyRingTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
