import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface KmsSecretCiphertextConfig extends TerraformMetaArguments {
    /** The additional authenticated data used for integrity checks during encryption and decryption. */
    readonly additionalAuthenticatedData?: string;
    /** The full name of the CryptoKey that will be used to encrypt the provided plaintext.
  Format: ''projects/{{project}}/locations/{{location}}/keyRings/{{keyRing}}/cryptoKeys/{{cryptoKey}}'' */
    readonly cryptoKey: string;
    /** The plaintext to be encrypted. */
    readonly plaintext: string;
    /** timeouts block */
    readonly timeouts?: KmsSecretCiphertextTimeouts;
}
export interface KmsSecretCiphertextTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class KmsSecretCiphertext extends TerraformResource {
    constructor(scope: Construct, id: string, config: KmsSecretCiphertextConfig);
    private _additionalAuthenticatedData?;
    get additionalAuthenticatedData(): string | undefined;
    set additionalAuthenticatedData(value: string | undefined);
    get ciphertext(): string;
    private _cryptoKey;
    get cryptoKey(): string;
    set cryptoKey(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _plaintext;
    get plaintext(): string;
    set plaintext(value: string);
    private _timeouts?;
    get timeouts(): KmsSecretCiphertextTimeouts | undefined;
    set timeouts(value: KmsSecretCiphertextTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
