import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface LoggingFolderExclusionConfig extends TerraformMetaArguments {
    /** A human-readable description. */
    readonly description?: string;
    /** Whether this exclusion rule should be disabled or not. This defaults to false. */
    readonly disabled?: boolean;
    /** The filter to apply when excluding logs. Only log entries that match the filter are excluded. */
    readonly filter: string;
    readonly folder: string;
    /** The name of the logging exclusion. */
    readonly name: string;
}
export declare class LoggingFolderExclusion extends TerraformResource {
    constructor(scope: Construct, id: string, config: LoggingFolderExclusionConfig);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _disabled?;
    get disabled(): boolean | undefined;
    set disabled(value: boolean | undefined);
    private _filter;
    get filter(): string;
    set filter(value: string);
    private _folder;
    get folder(): string;
    set folder(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
