import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface MonitoringCustomServiceConfig extends TerraformMetaArguments {
    /** Name used for UI elements listing this Service. */
    readonly displayName?: string;
    readonly project?: string;
    /** An optional service ID to use. If not given, the server will generate a
  service ID. */
    readonly serviceId?: string;
    /** telemetry block */
    readonly telemetry?: MonitoringCustomServiceTelemetry[];
    /** timeouts block */
    readonly timeouts?: MonitoringCustomServiceTimeouts;
}
export interface MonitoringCustomServiceTelemetry {
    /** The full name of the resource that defines this service.
  Formatted as described in
  https://cloud.google.com/apis/design/resource_names. */
    readonly resourceName?: string;
}
export interface MonitoringCustomServiceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class MonitoringCustomService extends TerraformResource {
    constructor(scope: Construct, id: string, config?: MonitoringCustomServiceConfig);
    private _displayName?;
    get displayName(): string | undefined;
    set displayName(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _serviceId?;
    get serviceId(): string | undefined;
    set serviceId(value: string | undefined);
    private _telemetry?;
    get telemetry(): MonitoringCustomServiceTelemetry[] | undefined;
    set telemetry(value: MonitoringCustomServiceTelemetry[] | undefined);
    private _timeouts?;
    get timeouts(): MonitoringCustomServiceTimeouts | undefined;
    set timeouts(value: MonitoringCustomServiceTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
