import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface MonitoringDashboardConfig extends TerraformMetaArguments {
    /** The JSON representation of a dashboard, following the format at https://cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.dashboards. */
    readonly dashboardJson: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: MonitoringDashboardTimeouts;
}
export interface MonitoringDashboardTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class MonitoringDashboard extends TerraformResource {
    constructor(scope: Construct, id: string, config: MonitoringDashboardConfig);
    private _dashboardJson;
    get dashboardJson(): string;
    set dashboardJson(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): MonitoringDashboardTimeouts | undefined;
    set timeouts(value: MonitoringDashboardTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
