import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface OrganizationIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    /** The numeric ID of the organization in which you want to manage the audit logging config. */
    readonly orgId: string;
    readonly role: string;
    /** condition block */
    readonly condition?: OrganizationIamBindingCondition[];
}
export interface OrganizationIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class OrganizationIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: OrganizationIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _orgId;
    get orgId(): string;
    set orgId(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): OrganizationIamBindingCondition[] | undefined;
    set condition(value: OrganizationIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
