import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface OrganizationIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    /** The numeric ID of the organization in which you want to manage the audit logging config. */
    readonly orgId: string;
    readonly role: string;
    /** condition block */
    readonly condition?: OrganizationIamMemberCondition[];
}
export interface OrganizationIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class OrganizationIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: OrganizationIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _orgId;
    get orgId(): string;
    set orgId(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): OrganizationIamMemberCondition[] | undefined;
    set condition(value: OrganizationIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
