import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface OsLoginSshPublicKeyConfig extends TerraformMetaArguments {
    /** An expiration time in microseconds since epoch. */
    readonly expirationTimeUsec?: string;
    /** Public key text in SSH format, defined by RFC4253 section 6.6. */
    readonly key: string;
    /** The user email. */
    readonly user: string;
    /** timeouts block */
    readonly timeouts?: OsLoginSshPublicKeyTimeouts;
}
export interface OsLoginSshPublicKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class OsLoginSshPublicKey extends TerraformResource {
    constructor(scope: Construct, id: string, config: OsLoginSshPublicKeyConfig);
    private _expirationTimeUsec?;
    get expirationTimeUsec(): string | undefined;
    set expirationTimeUsec(value: string | undefined);
    get fingerprint(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _key;
    get key(): string;
    set key(value: string);
    private _user;
    get user(): string;
    set user(value: string);
    private _timeouts?;
    get timeouts(): OsLoginSshPublicKeyTimeouts | undefined;
    set timeouts(value: OsLoginSshPublicKeyTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
