import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ProjectIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: ProjectIamMemberCondition[];
}
export interface ProjectIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ProjectIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: ProjectIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): ProjectIamMemberCondition[] | undefined;
    set condition(value: ProjectIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
