import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ProjectServiceConfig extends TerraformMetaArguments {
    readonly disableDependentServices?: boolean;
    readonly disableOnDestroy?: boolean;
    readonly project?: string;
    readonly service: string;
    /** timeouts block */
    readonly timeouts?: ProjectServiceTimeouts;
}
export interface ProjectServiceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ProjectService extends TerraformResource {
    constructor(scope: Construct, id: string, config: ProjectServiceConfig);
    private _disableDependentServices?;
    get disableDependentServices(): boolean | undefined;
    set disableDependentServices(value: boolean | undefined);
    private _disableOnDestroy?;
    get disableOnDestroy(): boolean | undefined;
    set disableOnDestroy(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _service;
    get service(): string;
    set service(value: string);
    private _timeouts?;
    get timeouts(): ProjectServiceTimeouts | undefined;
    set timeouts(value: ProjectServiceTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
