import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ProjectUsageExportBucketConfig extends TerraformMetaArguments {
    /** The bucket to store reports in. */
    readonly bucketName: string;
    /** A prefix for the reports, for instance, the project name. */
    readonly prefix?: string;
    /** The project to set the export bucket on. If it is not provided, the provider project is used. */
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: ProjectUsageExportBucketTimeouts;
}
export interface ProjectUsageExportBucketTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class ProjectUsageExportBucket extends TerraformResource {
    constructor(scope: Construct, id: string, config: ProjectUsageExportBucketConfig);
    private _bucketName;
    get bucketName(): string;
    set bucketName(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _prefix?;
    get prefix(): string | undefined;
    set prefix(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _timeouts?;
    get timeouts(): ProjectUsageExportBucketTimeouts | undefined;
    set timeouts(value: ProjectUsageExportBucketTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
