import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface PubsubTopicIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly topic: string;
    /** condition block */
    readonly condition?: PubsubTopicIamBindingCondition[];
}
export interface PubsubTopicIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class PubsubTopicIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: PubsubTopicIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _topic;
    get topic(): string;
    set topic(value: string);
    private _condition?;
    get condition(): PubsubTopicIamBindingCondition[] | undefined;
    set condition(value: PubsubTopicIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
