import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface RuntimeconfigConfigConfig extends TerraformMetaArguments {
    /** The description to associate with the runtime config. */
    readonly description?: string;
    /** The name of the runtime config. */
    readonly name: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
}
export declare class RuntimeconfigConfig extends TerraformResource {
    constructor(scope: Construct, id: string, config: RuntimeconfigConfigConfig);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
