import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface RuntimeconfigVariableConfig extends TerraformMetaArguments {
    /** The name of the variable to manage. Note that variable names can be hierarchical using slashes (e.g. "prod-variables/hostname"). */
    readonly name: string;
    /** The name of the RuntimeConfig resource containing this variable. */
    readonly parent: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
    readonly text?: string;
    readonly value?: string;
}
export declare class RuntimeconfigVariable extends TerraformResource {
    constructor(scope: Construct, id: string, config: RuntimeconfigVariableConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _parent;
    get parent(): string;
    set parent(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _text?;
    get text(): string | undefined;
    set text(value: string | undefined);
    get updateTime(): string;
    private _value?;
    get value(): string | undefined;
    set value(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
