import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SecretManagerSecretIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly secretId: string;
    /** condition block */
    readonly condition?: SecretManagerSecretIamBindingCondition[];
}
export interface SecretManagerSecretIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class SecretManagerSecretIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: SecretManagerSecretIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _secretId;
    get secretId(): string;
    set secretId(value: string);
    private _condition?;
    get condition(): SecretManagerSecretIamBindingCondition[] | undefined;
    set condition(value: SecretManagerSecretIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
