import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SecretManagerSecretVersionConfig extends TerraformMetaArguments {
    /** The current state of the SecretVersion. */
    readonly enabled?: boolean;
    /** Secret Manager secret resource */
    readonly secret: string;
    /** The secret data. Must be no larger than 64KiB. */
    readonly secretData?: string;
    /** timeouts block */
    readonly timeouts?: SecretManagerSecretVersionTimeouts;
}
export interface SecretManagerSecretVersionTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class SecretManagerSecretVersion extends TerraformResource {
    constructor(scope: Construct, id: string, config: SecretManagerSecretVersionConfig);
    get createTime(): string;
    get destroyTime(): string;
    private _enabled?;
    get enabled(): boolean | undefined;
    set enabled(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _secret;
    get secret(): string;
    set secret(value: string);
    private _secretData?;
    get secretData(): string | undefined;
    set secretData(value: string | undefined);
    private _timeouts?;
    get timeouts(): SecretManagerSecretVersionTimeouts | undefined;
    set timeouts(value: SecretManagerSecretVersionTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
