import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ServiceAccountIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly role: string;
    readonly serviceAccountId: string;
    /** condition block */
    readonly condition?: ServiceAccountIamMemberCondition[];
}
export interface ServiceAccountIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ServiceAccountIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: ServiceAccountIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _serviceAccountId;
    get serviceAccountId(): string;
    set serviceAccountId(value: string);
    private _condition?;
    get condition(): ServiceAccountIamMemberCondition[] | undefined;
    set condition(value: ServiceAccountIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
