import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ServiceNetworkingConnectionConfig extends TerraformMetaArguments {
    /** Name of VPC network connected with service producers using VPC peering. */
    readonly network: string;
    /** Named IP address range(s) of PEERING type reserved for this service provider. Note that invoking this method with a different range when connection is already established will not reallocate already provisioned service producer subnetworks. */
    readonly reservedPeeringRanges: string[];
    /** Provider peering service that is managing peering connectivity for a service provider organization. For Google services that support this functionality it is 'servicenetworking.googleapis.com'. */
    readonly service: string;
    /** timeouts block */
    readonly timeouts?: ServiceNetworkingConnectionTimeouts;
}
export interface ServiceNetworkingConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class ServiceNetworkingConnection extends TerraformResource {
    constructor(scope: Construct, id: string, config: ServiceNetworkingConnectionConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _network;
    get network(): string;
    set network(value: string);
    get peering(): string;
    private _reservedPeeringRanges;
    get reservedPeeringRanges(): string[];
    set reservedPeeringRanges(value: string[]);
    private _service;
    get service(): string;
    set service(value: string);
    private _timeouts?;
    get timeouts(): ServiceNetworkingConnectionTimeouts | undefined;
    set timeouts(value: ServiceNetworkingConnectionTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
