import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SpannerDatabaseIamBindingConfig extends TerraformMetaArguments {
    readonly database: string;
    readonly instance: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: SpannerDatabaseIamBindingCondition[];
}
export interface SpannerDatabaseIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class SpannerDatabaseIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: SpannerDatabaseIamBindingConfig);
    private _database;
    get database(): string;
    set database(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): SpannerDatabaseIamBindingCondition[] | undefined;
    set condition(value: SpannerDatabaseIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
