import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SpannerDatabaseIamMemberConfig extends TerraformMetaArguments {
    readonly database: string;
    readonly instance: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: SpannerDatabaseIamMemberCondition[];
}
export interface SpannerDatabaseIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class SpannerDatabaseIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: SpannerDatabaseIamMemberConfig);
    private _database;
    get database(): string;
    set database(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): SpannerDatabaseIamMemberCondition[] | undefined;
    set condition(value: SpannerDatabaseIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
