import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SqlSourceRepresentationInstanceConfig extends TerraformMetaArguments {
    /** The MySQL version running on your source database server. Possible values: ["MYSQL_5_6", "MYSQL_5_7"] */
    readonly databaseVersion: string;
    /** The externally accessible IPv4 address for the source database server. */
    readonly host: string;
    /** The name of the source representation instance. Use any valid Cloud SQL instance name. */
    readonly name: string;
    /** The externally accessible port for the source database server.
  Defaults to 3306. */
    readonly port?: number;
    readonly project?: string;
    /** The Region in which the created instance should reside.
  If it is not provided, the provider region is used. */
    readonly region?: string;
    /** timeouts block */
    readonly timeouts?: SqlSourceRepresentationInstanceTimeouts;
}
export interface SqlSourceRepresentationInstanceTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class SqlSourceRepresentationInstance extends TerraformResource {
    constructor(scope: Construct, id: string, config: SqlSourceRepresentationInstanceConfig);
    private _databaseVersion;
    get databaseVersion(): string;
    set databaseVersion(value: string);
    private _host;
    get host(): string;
    set host(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _port?;
    get port(): number | undefined;
    set port(value: number | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _timeouts?;
    get timeouts(): SqlSourceRepresentationInstanceTimeouts | undefined;
    set timeouts(value: SqlSourceRepresentationInstanceTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
