import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SqlSslCertConfig extends TerraformMetaArguments {
    /** The common name to be used in the certificate to identify the client. Constrained to [a-zA-Z.-_ ]+. Changing this forces a new resource to be created. */
    readonly commonName: string;
    /** The name of the Cloud SQL instance. Changing this forces a new resource to be created. */
    readonly instance: string;
    /** The ID of the project in which the resource belongs. If it is not provided, the provider project is used. */
    readonly project?: string;
    /** timeouts block */
    readonly timeouts?: SqlSslCertTimeouts;
}
export interface SqlSslCertTimeouts {
    readonly create?: string;
    readonly delete?: string;
}
export declare class SqlSslCert extends TerraformResource {
    constructor(scope: Construct, id: string, config: SqlSslCertConfig);
    get cert(): string;
    get certSerialNumber(): string;
    private _commonName;
    get commonName(): string;
    set commonName(value: string);
    get createTime(): string;
    get expirationTime(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    get privateKey(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get serverCaCert(): string;
    get sha1Fingerprint(): string;
    private _timeouts?;
    get timeouts(): SqlSslCertTimeouts | undefined;
    set timeouts(value: SqlSslCertTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
