import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface StorageBucketIamBindingConfig extends TerraformMetaArguments {
    readonly bucket: string;
    readonly members: string[];
    readonly role: string;
    /** condition block */
    readonly condition?: StorageBucketIamBindingCondition[];
}
export interface StorageBucketIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class StorageBucketIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: StorageBucketIamBindingConfig);
    private _bucket;
    get bucket(): string;
    set bucket(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): StorageBucketIamBindingCondition[] | undefined;
    set condition(value: StorageBucketIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
