import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface StorageDefaultObjectAccessControlConfig extends TerraformMetaArguments {
    /** The name of the bucket. */
    readonly bucket: string;
    /** The entity holding the permission, in one of the following forms:
    * user-{{userId}}
    * user-{{email}} (such as "user-liz@example.com")
    * group-{{groupId}}
    * group-{{email}} (such as "group-example@googlegroups.com")
    * domain-{{domain}} (such as "domain-example.com")
    * project-team-{{projectId}}
    * allUsers
    * allAuthenticatedUsers */
    readonly entity: string;
    /** The name of the object, if applied to an object. */
    readonly object?: string;
    /** The access permission for the entity. Possible values: ["OWNER", "READER"] */
    readonly role: string;
    /** timeouts block */
    readonly timeouts?: StorageDefaultObjectAccessControlTimeouts;
}
export declare class StorageDefaultObjectAccessControlProjectTeam extends ComplexComputedList {
    get projectNumber(): string;
    get team(): string;
}
export interface StorageDefaultObjectAccessControlTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class StorageDefaultObjectAccessControl extends TerraformResource {
    constructor(scope: Construct, id: string, config: StorageDefaultObjectAccessControlConfig);
    private _bucket;
    get bucket(): string;
    set bucket(value: string);
    get domain(): string;
    get email(): string;
    private _entity;
    get entity(): string;
    set entity(value: string);
    get entityId(): string;
    get generation(): number;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _object?;
    get object(): string | undefined;
    set object(value: string | undefined);
    projectTeam(index: string): StorageDefaultObjectAccessControlProjectTeam;
    private _role;
    get role(): string;
    set role(value: string);
    private _timeouts?;
    get timeouts(): StorageDefaultObjectAccessControlTimeouts | undefined;
    set timeouts(value: StorageDefaultObjectAccessControlTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
