import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface StorageHmacKeyConfig extends TerraformMetaArguments {
    readonly project?: string;
    /** The email address of the key's associated service account. */
    readonly serviceAccountEmail: string;
    /** The state of the key. Can be set to one of ACTIVE, INACTIVE. Default value: "ACTIVE" Possible values: ["ACTIVE", "INACTIVE"] */
    readonly state?: string;
    /** timeouts block */
    readonly timeouts?: StorageHmacKeyTimeouts;
}
export interface StorageHmacKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class StorageHmacKey extends TerraformResource {
    constructor(scope: Construct, id: string, config: StorageHmacKeyConfig);
    get accessId(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get secret(): string;
    private _serviceAccountEmail;
    get serviceAccountEmail(): string;
    set serviceAccountEmail(value: string);
    private _state?;
    get state(): string | undefined;
    set state(value: string | undefined);
    get timeCreated(): string;
    get updated(): string;
    private _timeouts?;
    get timeouts(): StorageHmacKeyTimeouts | undefined;
    set timeouts(value: StorageHmacKeyTimeouts | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
